//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 2ba520e3 (2024-10-31 16:22:54)
// 


function updateRoleRule(el, blog_id, role_id, act, flag) {
    var newflag = 1;
    ajaxShowActivity();
    $.ajax(siteConfig['siteUrl'] + "index.php", {
        method: 'post',
        data: ({
            _requestVerificationToken: siteConfig['_requestVerificationToken'],
            type: 'module',
            option: 'ajax',
            module: 'blog',
            task: 'updateRoleRule',
            psid: blog_id,
            role: role_id,
            act: act,
            flag: flag
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.status == 'OK') {
                if (flag == '1') newflag = '0';
                $htmlcode = '<a class="granted-' + flag + '" onclick="updateRoleRule(this, \'' + blog_id + '\', \'' + role_id + '\', \'' + act + '\', \'' + newflag + '\')"><i class="bi bi-flag-fill"></i></a>';
                $(el).parent().html($htmlcode);
                ajaxHideActivity();
            }
        },
        error: function (jqXHR, exception) {
            errorResponseAlert(jqXHR);
            ajaxHideActivity();
            return false;
        }
    });
}

function updateUserRule(el, blog_id, user_id, act, flag) {
    var newflag = 1;
    ajaxShowActivity();
    $.ajax(siteConfig['siteUrl'] + "index.php",{
        method: 'post',
        data: ({
            _requestVerificationToken: siteConfig['_requestVerificationToken'],
            type: 'module',
            option: 'ajax',
            module: 'blog',
            task: 'updateUserRule',
            psid: blog_id,
            user: user_id,
            act: act,
            flag: flag
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.status == 'OK') {
                if (flag == '1') newflag = '2';
                $htmlcode = '<a class="granted-' + flag + '" onclick="updateUserRule(this, \'' + blog_id + '\', \'' + user_id + '\', \'' + act + '\', \'' + newflag + '\')"><i class="bi bi-flag-fill"></i></a>';
                $(el).parent().html($htmlcode);
                ajaxHideActivity();
            }
        },
        error: function (jqXHR, exception) {
            errorResponseAlert(jqXHR);
            ajaxHideActivity();
            return false;
        }
    });
}