//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4db4f722 (2024-10-06 13:59:35)
// 


var orderDeliveryNeedRecalc=0;

$(document).ready(function() {
	// appendDTPicker($(".option_row .dateselector"));
	// appendDTPicker($(".option_row .datetimeselector"), true);
	// appendDTPicker($(".option_row .timeselector"), true, false);
});
function setOrderUserDataForm()  {
	ajaxShowActivity();
	$('#calculate_delivery_button').hide();
	$('#submit_order_button').hide();
	$('#order_userdata_form').hide();
	$('#info_container').html('');
	if($('#delivery_selector input').prop('type')=='hidden') dt_id = $('#delivery_selector input[name=delivery_type]').val();
	else dt_id = $('#delivery_selector input[name=delivery_type]:checked').val();
	// if($('#payment_selector input').prop('type')=='hidden') pt_id = $('#payment_selector input[name=payment_type]').val();
	// else pt_id = $('#payment_selector input[name=payment_type]:checked').val();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'renderUserDataForm',
			dt_id: dt_id
			// ,
			// pt_id: pt_id
		}),
		dataType:'json',
		success: function (data, textStatus) {
			$('#order_userdata_form').html(data.html);
			$('#order_userdata_form').show();
			// ----------------------------
			var fn_name = 'afterAjaxUpdate_Delivery_' + dt_id;
			var fn = window[fn_name];
			if ($.isFunction(fn)) window[fn_name](1); // arg - is_ajax
			else console.log('Ooops, function ' + fn_name + ' absent ');
			// ----------------------------
			setPaymentList(); // uses ajax, so query in function is async
			calculateDelivery(1); // uses ajax, so query in function is async
			afterAjaxUpdate("order_userdata_form");
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function setPaymentList(){
	ajaxShowActivity();
	if($('#delivery_selector input').prop('type')=='hidden') dt_id = $('#delivery_selector input[name=delivery_type]').val();
	else dt_id = $('#delivery_selector input[name=delivery_type]:checked').val();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'renderPaymentSelector',
			psid:dt_id
		}),
		dataType:'json',
		success: function (data, textStatus) {
			$('#payment_selector').html(data.html);
			$('#order_error_message').html(data.error_message);
			if(data.is_error) $('#order_error_message').show();
			else $('#order_error_message').hide();
			// ----------------------------
			if($('#payment_selector input').prop('type')=='hidden') pt_id = $('#payment_selector input[name=payment_type]').val();
			else pt_id = $('#payment_selector input[name=payment_type]:checked').val();
			var fn_name = 'afterAjaxUpdate_Payment_' + pt_id;
			var fn = window[fn_name];
			if ($.isFunction(fn)) window[fn_name](1); // arg - is_ajax
			else console.log('Ooops, function ' + fn_name + ' absent ');
			// ----------------------------
			// $('#payment_form').html(""); // ???????
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function fillAddressPanel(obj) {
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'getAddress',
			psid:$(obj).val()
		}),
		dataType:'json',
		success: function (data, textStatus) {
			var AddrFields=['country_id', 'region_id','district_id','locality_id'];
			var country_eid='country_id';
			var region_eid='region_id';
			var district_eid='district_id';
			var locality_eid='locality_id';
			var ctrl_pref="";
			for(var key in data) {
				if(key==='use_as_default') { continue; }
				if ($('#'+key).prop('type')!=undefined) {
					switch($('#'+key).prop('type')){
						case 'checkbox':
							if (data[key]=='1') { $('#'+key).attr('checked','checked');	} 
							else { $('#'+key).attr('checked',''); }
							$('#'+key).change();
							break
						case 'select-one':
							if (AddrFields.indexOf(key)==-1) {
								$('#'+key).val(data[key]);
								$('#'+key).change();
							} else if(key==='country_id'){
								// it is address string
								$('#'+key).val(data[key]);
								ajaxShowActivity();
								$.ajax({
									url : siteConfig['siteUrl'] + "index.php",
									data : ({
										type : 'module',
										option : 'ajax',
										module : 'user',
										view : 'panel',
										task : 'getRegionSelector',
										ctrl_pref: ctrl_pref,
										psid: data[country_eid]
									}),
									dataType : 'html',
									success : function(data_r, textStatus) {
										ajaxShowActivity();
										is_required=$("#"+region_eid).hasClass('required');
										elem=$("#"+region_eid).parent();
										$("#"+region_eid).remove();
										elem.append(data_r);
										if (is_required){if (!$("#"+region_eid).hasClass('required'))$("#"+region_eid).addClass('required'); }
										$('#'+region_eid).val(data[region_eid]);
										$.ajax({
											url : siteConfig['siteUrl'] + "index.php",
											data : ({
												type : 'module',
												option : 'ajax',
												module : 'user',
												view : 'panel',
												task : 'getDistrictSelector',
												ctrl_pref: ctrl_pref,
												psid: data[region_eid]
											}),
											dataType : 'html',
											success : function(data_d, textStatus) {
												is_required=$("#"+district_eid).hasClass('required');
												elem=$("#"+district_eid).parent();
												$("#"+district_eid).remove();
												elem.append(data_d);
												if (is_required){if (!$("#"+district_eid).hasClass('required'))$("#"+district_eid).addClass('required'); }
												$('#'+district_eid).val(data[district_eid]);
												ajaxShowActivity();
												$.ajax({
													url : siteConfig['siteUrl'] + "index.php",
													data : ({
														type : 'module',
														option : 'ajax',
														module : 'user',
														view : 'panel',
														task : 'getLocalitySelector',
														ctrl_pref: ctrl_pref,
														psid: data[district_eid]
													}),
													dataType : 'html',
													success : function(data_l, textStatus) {
														is_required=$("#"+locality_eid).hasClass('required');
														elem=$("#"+locality_eid).parent();
														$("#"+locality_eid).remove();
														elem.append(data_l);
														if (is_required){if (!$("#"+locality_eid).hasClass('required'))$("#"+locality_eid).addClass('required'); }
														$('#'+locality_eid).val(data[locality_eid]);
														$('#'+locality_eid).change();
														ajaxHideActivity();
													},
													error : function() {
														alert('Error occured');
														ajaxHideActivity();
														return false;
													}
												});
											},
											error : function() {
												alert('Error occured');
												ajaxHideActivity();
												return false;
											}
										});
									},
									error : function() {
										alert('Error occured');
										ajaxHideActivity();
										return false;
									}
								});
							} 
							break
						default:
							$('#'+key).val(data[key]);
							break
					}
				}
			}
			ajaxHideActivity();
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function toggleAddressPanel(obj,ehide){
	if ($(obj).val()>0) $('#'+ehide).hide();
	else $('#'+ehide).show();
}
function checkDeliveryForm(visible_only,fillManual) {
	if (form_checkfill('dt_selector',visible_only)){
		if (fillManual) fillManualInput('dt_selector');
		return true;
	} else {
		return false;
	}
}  
function setCustomGoodsFilter(filter_by, id, redirect){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'setCustomFilter',
			filter_by:filter_by,
			psid:id
		}),
		dataType:'html',
		success: function (data, textStatus) {
			ajaxHideActivity();
			if (data=='OK'){
				window.location.href=redirect;
				return true;
			}
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function resetCustomGoodsFilter(filter_by){
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'resetCustomFilter',
			filter_by:filter_by
		}),
		dataType:'html',
		success: function (data, textStatus) {
			if (data=='OK'){
				window.location.reload();
			}
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function goodsComplectSetVisible(el,tab_id){
	if ($(el).val()==5) $('#gmtab_'+tab_id).show();
	else $('#gmtab_'+tab_id).hide();
}
function setMaskPriceSetting()
{
	var nab='{';	
	nab+='"parent_group":"'+$("#parent_group").val()+'",';
	nab+='"enabled_only":"'+$("#enabled_only").prop("checked").toString()+'",';
	nab+='"break_by_groups":"'+$("#break_by_groups").prop("checked").toString()+'",';
	nab+='"show_pack_price":"'+$("#show_pack_price").prop("checked").toString()+'",';
	nab+='"show_weight_price":"'+$("#show_weight_price").prop("checked").toString()+'",';
	nab+='"show_volume_price":"'+$("#show_volume_price").prop("checked").toString()+'",';
	nab+='"show_company_info":"'+$("#show_company_info").prop("checked").toString()+'",';
	nab+='"show_thumbs":"'+$("#show_thumbs").prop("checked").toString()+'",';
	nab+='"show_dimensions":"'+$("#show_dimensions").prop("checked").toString()+'",';
	nab+='"show_weight":"'+$("#show_weight").prop("checked").toString()+'"';
	nab+='}';
	return nab;
}
function savePriceSettings()
{
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		type: "POST",
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'savePriceSettings',
			p_id:$("#p_id").val(),
			p_new:$("#p_new").prop("checked"),
			p_name:$("#p_name").val(),
			p_checkbox: setMaskPriceSetting(),
			p_discont:$("#price_discount").val(),
			p_price:$("#price_type").val(),
			p_comment:$("#priceset_comment").val(),
			p_head_colon:$("#p_head_colon").val(),
			p_foot_colon:$("#p_foot_colon").val(),
			p_comment:$("#p_comment").val(),
			p_template:$("#p_template").val()
		}),
		dataType:'html',
		success: function (data, textStatus) {
			alert(data);
		},
		error: function () { ajaxHideActivity(); return false; }
	});
}
function getPriceSettings(el){
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			task:'getPriceSettings',
			p_id:$("#"+el).val()
		}),
		dataType:'json',
		success: function (data, textStatus) {
			if(data['p_checkbox']!=undefined)
			{
				var checkmas=JSON.parse(data['p_checkbox']);
				for (keyck in checkmas)
				{   					
					if(checkmas[keyck]=="true")
					{	
					$("#"+keyck).attr('checked', 'checked');					
					$("label[for='" + keyck + "']:first").addClass("CheckboxChecked");
					}
					else if(checkmas[keyck]=="false")
					{
						$("#"+keyck).removeAttr('checked');	
						$("label[for='" + keyck + "']:first").removeClass("CheckboxChecked");
					}	
					else{
						$("#"+keyck).val(checkmas[keyck]);
					}
				}	
			}
			for (key in data)
			{
			if(key=='p_checkbox') continue;
			$("#"+key).val(data[key]);
			};
		},
		error: function () { ajaxHideActivity(); return false; }
	});	
}
function calculateDelivery(on_load){
	ajaxShowActivity();
	$('#info_container').html('');
	$('#submit_order_button').hide();
	$('#calculate_delivery_button').show();
	var form_data = $("form#dt_selector").serializeArray();
	$.each(form_data, function(i, field){
		if(field.name=='view'){ form_data[i].value=''; }
		if(field.name=='layout'){ form_data[i].value=''; }
	});
	form_data[form_data.length] = { name: "module", value: "catalog" };
	form_data[form_data.length] = { name: "option", value: "ajax" };
	form_data[form_data.length] = { name: "task", value: "calculateDelivery" };
	form_data[form_data.length] = { name: "on_load", value: on_load };
	form_data[form_data.length] = { name: "order_results_weight", value: $('#order_results_weight').val() };
	form_data[form_data.length] = { name: "order_results_summa", value: $('#order_results_summa').val() };
	form_data[form_data.length] = { name: "order_results_summa_text", value: $('#order_results_summa_text').val() };
	form_data[form_data.length] = { name: "order_results_total", value: $('#order_results_total').val() };
	form_data[form_data.length] = { name: "order_results_total_text", value: $('#order_results_total_text').val() };
	form_data[form_data.length] = { name: "order_results_currency", value: $('#order_results_currency').val() };
	$.ajax({
		url : siteConfig['siteUrl']+'index.php',
		data: form_data,
		dataType:'json',
		success: function (data, textStatus) {
			if(data.is_error===0){
//				$('#info_container').html('');
				orderDeliveryNeedRecalc=data.need_recalc;
				if(data.delivery_sum>0){
					$('#info_container').append(data.delivery_text);
				}
				if(data.taxes_sum>0){
					$('#info_container').append(data.taxes_text);
				}
				if(data.total_sum>0){
					$('#info_container').append(data.total_text);
				}
				if(on_load==1){
					if(data.need_recalc==0){
						$('#submit_order_button').show();
						$('#calculate_delivery_button').hide();
					} else {
						$('#submit_order_button').hide();
						$('#calculate_delivery_button').show();
					}
				} else {
					$('#submit_order_button').show();
					$('#calculate_delivery_button').hide();
				}
			} else {
				$('#info_container').html(data.error_text);
				$('#submit_order_button').hide();
				// $('#calculate_delivery_button').show();
				$('#calculate_delivery_button').hide();
			}
			ajaxHideActivity();
		},
		error: function () { 
			ajaxHideActivity(); 
			// return false;
		}
	});
}
function orderUserdataChanged(el){
	if(orderDeliveryNeedRecalc==1){
		$('#submit_order_button').hide();
		$('#calculate_delivery_button').show();
		$('#info_container').html('');
	}
}
function orderOnSubmit(){
	if (checkDeliveryForm(true,true)){
		$('form#dt_selector').submit();
	}
}
function addToFavourites(el, gid) {
	ajaxShowActivity();
	$.ajax({
		url: siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			psid:gid,
			task:'addToFavourites',
			view:'goods'
		}),
		success: function(data) {
			$(el).parent(".favouritesButtons").removeClass('notInFavourites').addClass('inFavourites');
			ajaxHideActivity();
		},
		error: function () {
			ajaxHideActivity();
		}
	});
}
function removeFromFavourites(el, gid, remove_el, reload) {
	ajaxShowActivity();
	$.ajax({
		url: siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			psid:gid,
			task:'removeFromFavourites',
			view:'goods'
		}),
		success: function(data) {
			$(el).parent(".favouritesButtons").removeClass('inFavourites').addClass('notInFavourites');
			if(remove_el != undefined) {
				$(remove_el).remove();
				if(reload != undefined && reload===1) location.reload();
			}
			applyAfterContentLoadHandlers('.catalog-list');
			ajaxHideActivity();
		},
		error: function () {
			ajaxHideActivity();
		}
	});
}
function addToCompare(el, gid) {
	ajaxShowActivity();
	$.ajax({
		url: siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			psid:gid,
			task:'addToCompare',
			view:'goods'
		}),
		success: function(data) {
			$(el).parent(".compareButtons").removeClass('notInCompare').addClass('inCompare');
			ajaxHideActivity();
		},
		error: function () {
			ajaxHideActivity();
		}
	});
}
function removeFromCompare(el, gid, remove_el, reload) {
	ajaxShowActivity();
	$.ajax({
		url: siteConfig['siteUrl']+'index.php',
		data:({type:'module',
			option:'ajax',
			module:'catalog',
			psid:gid,
			task:'removeFromCompare',
			view:'goods'
		}),
		success: function(data) {
			$(el).parent(".compareButtons").removeClass('inCompare').addClass('notInCompare');
			if(remove_el != undefined) {
				$(remove_el).remove();
				if(reload != undefined && reload===1) location.reload();
			}
			ajaxHideActivity();
		},
		error: function () {
			ajaxHideActivity();
		}
	});
}
function toggleGoodsListMode(el) {
	if ($('.catalog-list .goods-list').hasClass('goods-list-list')) {
		if($(el).hasClass('switch-list')) return;
		$('.catalog-list .goods-list').removeClass('goods-list-list').addClass('goods-list-grid');
		$('.catalog-list .goods-list-mode-switcher .switch-list').removeClass('active');
		$(el).addClass('active');
		
		applyAfterContentLoadHandlers('.catalog-list');
		setCMSCookie('arfacms_goods_mode', '', 7);
	} else {
		if($(el).hasClass('switch-grid')) return;
		$('.catalog-list .goods-list').removeClass('goods-list-grid').addClass('goods-list-list');
		$('.catalog-list .goods-list-mode-switcher .switch-grid').removeClass('active');
		$(el).addClass('active');
		setCMSCookie('arfacms_goods_mode', 'list', 7);
	}
	/*
	if ($('.catalog-list .goods-list').hasClass('goods-list-list')) {
		$('.catalog-list .goods-list').removeClass('goods-list-list');
		$('.catalog-list .goods-list-mode-switcher .switch-list').removeClass('active');
		$(el).addClass('active');
		applyAfterContentLoadHandlers('.catalog-list');
		setCMSCookie('arfacms_goods_mode', '', 7);
	} else {
		$('.catalog-list .goods-list').addClass('goods-list-list');
		$('.catalog-list .goods-list-mode-switcher .switch-grid').removeClass('active');
		$(el).addClass('active');
		
		setCMSCookie('arfacms_goods_mode', 'list', 7);
	}
	*/
}
function toggleParamElementDescripion(elm){
	$(".modify-wrapper .params-select .prm_descr_elem").hide();
	if($("#" + $(elm).val() + '_descr_elem').html() != '') $("#" + $(elm).val() + '_descr_elem').show();
}
/*========================================*/
/*======== CSV import/export =============*/
/*========================================*/
function csv_import_check_fields(){
	var _fld=0;
	var _sku=0;
	var _name=0;

	$('.fcell select').each(function(e){
		if(this.value==='g_sku'){
			_sku++;
		} else if (this.value==='g_name'){
			_name++;
		} else {
			if(this.value!=0){
				_fld++;
			}
		}
	});
	if (_sku==0) { alert('SKU not selected'); return false;}
	else if (_sku>1) { alert('SKU must be single'); return false;}
	else if (_name==0) { alert('Name not selected'); return false;}
	else if (_name>1) { alert('Name must be single'); return false;}
	else {
		if(_fld==0){ alert('No fields selected'); return false;}
	}
	return true;
}
function csv_export_checkbox(id){
	$('#' + id + ' a').each(function(el){
		new_id = $(this).parent().attr('id');
		ind = new_id.split('_')[3];
		$(this).html('<span class="form-check">' +
			'<input class="form-check-input" type="checkbox"'+($(this).parents('li').hasClass('disabled') ? '' : ' checked="checked"') + ' value="' + ind + '" name="ggr[]" id="a' + new_id + '" />' +
			'<label for="a'+new_id+'">'+$(this).html()+'<\/label>' +
			'<\/span>'
		);
	});
	$('#' + id + ' a input[type=checkbox]').each(function(el_0){
		$(this).bind('change', function(el_1){
			var ppp = $(this);
			$(this).closest('li').find('ul input[type=checkbox]').each(function(el_2){
				if ($(ppp).is(':checked')) $(this).attr('checked','checked');
				else $(this).removeAttr('checked');
			});
		});
	});
}