//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e398b314 (2024-09-28 20:54:44)
// 


var gallery_slideshow=null;
$(document).ready(function() {
	$("a.gallery-image-thumb").fancybox({
		'cyclic'		: true,
		'rel'			: 'data-gg-attr',
		'titlePosition' : 'over', // 'float', 'outside', 'inside' or 'over'
		'titleShow'		: true,
		'showNavArrows'	: true,
		'onComplete': function() {
			//
		},
		'onClosed': function() {
			stopslideshow();
		}
	});
});
function slideshow(){
	$("#first_image").trigger('click');
	gallery_slideshow=setTimeout("next_slide()", siteConfig['slideshow_timeout']*1000);
}
function next_slide(){
	if ($.fancybox) {
		$.fancybox.next();
		gallery_slideshow=setTimeout("next_slide()", siteConfig['slideshow_timeout']*1000);
	}
}
function stopslideshow(){
	clearTimeout(gallery_slideshow);
}