//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ca95ef67 (2022-08-19 17:00:40)
// 


function getViewsForModule(obj){
	modname=$(obj).val();
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl'] + "index.php",
		data : ({
			type : 'module',
			option : 'ajax',
			module : "menus",
			view : "items",
			modname : modname,
			task : 'GetViewsSelector'
		}),
		dataType : 'html',
		success : function(data, textStatus) {
			$('#mi_view').html(data);
			$('#mi_layout').val("");
			$('#mi_psid').val("");
			$('#mi_alias').val("");
			afterAjaxUpdate("frmEdit");
			ajaxHideActivity();
		},
		error : function() {
			alert('Error occured');
			afterAjaxUpdate("frmEdit");
			ajaxHideActivity();
			return false;
		}
	});
}
function getControllersForModule(obj){
	modname=$(obj).val();
	ajaxShowActivity();
	$.ajax({
		url : siteConfig['siteUrl'] + "index.php",
		data : ({
			type : 'module',
			option : 'ajax',
			module : "menus",
			view : "items",
			modname : modname,
			task : 'GetControllersSelector'
		}),
		dataType : 'html',
		success : function(data, textStatus) {
			$('#mi_controller').html(data);
			afterAjaxUpdate("frmEdit");
			ajaxHideActivity();
		},
		error : function() {
			alert('Error occured');
			afterAjaxUpdate("frmEdit");
			ajaxHideActivity();
			return false;
		}
	});
}