//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 605ab204 (2024-09-23 06:09:51)
// 


function ajaxvotePoll(pollid){
	ajaxShowActivity();
	$.ajax({
			url : siteConfig['siteUrl']+"index.php",
			  data:({type:'module',
					 option:'ajax',
				     module:'polls',
					 psid:pollid,
					 task:'getVotePanel'
					}),
				dataType:'html',
				success : function(data, textStatus) {
					showInModalDialog(data);
					ajaxHideActivity();
				},
				error : function() {
					alert('Data error');
					return false;
				}
			});
}