//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8bb652be (2024-09-24 21:20:15)
// 


function votePoll(pollid) {
    var voteid = $("#wpoll_" + pollid + " form input[name='voteid[]']:checked").val();
    var color = $("#barcolor_" + pollid).val();
    if (voteid == undefined) {
        // voteid = 0;
        return false;
    } else {
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            data: ({
                type: 'module',
                option: 'ajax',
                module: 'polls',
                psid: voteid,
                task: 'PollVote'
            }),
            dataType: 'html',
            success: function (data, textStatus) {
                $('#wpoll_' + pollid).html(data);
                $('#wpoll_' + pollid + ' div.percentage').each(function (i) {
                    $(this).css('background', color);
                });
            },
            error: function () {
                alert('Data error');
                return false;
            }
        });
    }
}