<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 9302af18 (2024-10-12 12:25:21)
// 


defined('_ARFACMS_VALID') or die("Access denied");

class siteConfig
{
    public static $enableGeneratorMetaTag = false;
    public static $cacheLife = 0;
    public static $siteDisabled = false;
    public static $debugMode = 0;
    public static $debugIP = "";
    public static $siteMemoryLimit = 20;
    public static $siteTimeLimit = 30;
    public static $cssOverride = false;
    public static $loadBootstrap = true;
    public static $useJQueryMigrate = false;
    public static $useJQueryUIMini = true;
    public static $site_rules_article = 2;
    public static $privacy_policy_article = 3;
    public static $defaultLanguage = 'ru';
    public static $cookieLifeTime = 1440;    // Week
    public static $pagesPerPanel = 10;
    public static $recordsPerPage = 10;
    public static $shortTextLength = 350;
    public static $searchTargetBlank = true;
    public static $searchMenuID = 25;
    public static $treeDepth = 20;
    public static $siteDomain = '###SITE_DOMAIN###';
    public static $sitePort = '###SITE_PORT###';
    public static $siteSSLPort = '###SITE_SSL_PORT###';
    public static $siteTemplate = '###SITE_TEMPLATE###';
    public static $siteTemplatesByMenu = false;
    public static $defaultModule = 'site';
    public static $defaultMenuID = 32;
    public static $allowedType = "bmp;csv;gif;jpeg;jpg;mp4;ogg;ogv;pdf;png;swf;webm;zip";
    public static $metaTitle = "###SITE_TITLE###";
    public static $metaDescription = "";
    public static $metaKeywords = "";
    public static $sendFeedbacksByMail = 1;
    public static $useMultiVote = false;
    public static $useTextAddress = true;
    public static $use_points_system = true;
    public static $def_account_bonus = 0;
    public static $use_referral_system = true;
    public static $intervalNumFilter = false;
}
?>