<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "ACL roles list",
        "tablename" => "acl_roles",
        "keystring" => "ar_id",
        "deleted" => "ar_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "roles", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "roles"),
        "modify" => array("show" => 1, "view" => "roles", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "roles", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "roles", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "ar_id", "ar_name", "ar_title", "ar_admin", "ar_active", "ar_system", "ar_deleted"),
        "name" => array(1 => "Role ID", "Role name", "Title", "Role can admin", "Role is active", "Role is system", "Deleted"),
        "val_type" => array(1 => "int", "string", "string", "boolean", "boolean", "boolean", "int"),
        "view" => array(1 => 0, 1, 1, 1, 0),
        "link" => array(2 => "index.php?module=aclmgr&view=roles&task=modify&psid=[0]", 3 => "index.php?module=aclmgr&view=rules&roleid=[0]"),
        "link_title" => array(2 => 'Modify', 3 => 'ACL manager'),
        "link_key" => array(2 => 'id', 3 => 'id'),
        "link_type" => array(2 => '', 3 => ''),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'checkbox', 'checkbox', 'label', 'hidden'),
        "update_type" => array(2 => 0)
    )
);
?>