<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 11e95c0f (2022-08-22 18:59:03)
// 

use ArfaCMS\Core\ACRM;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Request;
use ArfaCMS\Sprav\SpravController;

defined('_ARFACMS_VALID') or die("Access denied");

class acrmControllerDefault extends SpravController {
	public function clickACRM() {
		Portal::getInstance()->disableTemplate();
		$psid=Request::getInt("psid",0);
		echo ACRM::clickACRM($psid);
	}

	public function ajaxdisplayExecuted() {
		Portal::getInstance()->disableTemplate();
		$psid_string=Request::getSafe("psid","");
		if($psid_string){
			$arr_psid=ACRM::checkShown(explode(",",$psid_string));
			echo ACRM::displayExecuted($arr_psid);
		} else echo "FALSE";
	}
}
?>