<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class acrmModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('items');
        } else {
            $this->setDefaultView('items');
        }
    }
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='acrmModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewAcrmCats'; $acl[$i]['ao_description']='Categories';
            $i++;$acl[$i]['ao_name']='viewAcrmClients'; $acl[$i]['ao_description']='Clients';
            $i++;$acl[$i]['ao_name']='viewAcrmItems'; $acl[$i]['ao_description']='Banners';
            $i++;$acl[$i]['ao_name']='deleteAcrmItems'; $acl[$i]['ao_description']='Finally delete banners';
            $i++;$acl[$i]['ao_name']='deleteAcrmCats'; $acl[$i]['ao_description']='Finally delete categories';
            $i++;$acl[$i]['ao_name']='deleteAcrmClients'; $acl[$i]['ao_description']='Finally delete clients';

        } else {
            $i++;$acl[$i]['ao_name']='acrmModule'; $acl[$i]['ao_description']='Module access';
        }
        return 	$acl;
    }
}
?>