<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\simpleTreeTable;

defined('_ARFACMS_VALID') or die("Access denied");

class blogHelperCategoriesTree extends simpleTreeTable{
	public function __construct() {
		parent::__construct();
		$this->table="blogs_cats";
		$this->fld_id="bc_id";
		$this->fld_parent_id="bc_id_parent";
		$this->fld_title="bc_name";
		$this->fld_deleted="bc_deleted";
		$this->fld_orderby="bc_name";
		$this->element_link="index.php?module=blog&amp;view=categories&amp;psid=";
		$this->buildTreeArrays();
	}
}

?>