<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ede00bfc (2024-10-03 12:17:44)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\MVC\View;

defined('_ARFACMS_VALID') or die("Access denied");

class blogViewList extends View
{
    public function getEmptyImage()
    {
        Files::getNoImageLink("no-photo.png");
    }

    public function getImage($img, $image_state = 0)
    {
        $imgpath = ARFACMS_STORAGE_PATH . 'blog/thumbs';
        $imgurl = "";
        $imgpath .= DS . Files::splitAppendix($img, true);
        if ((file_exists($imgpath)) && (is_file($imgpath))) {
            $imgurl = ARFACMS_STORAGE_LINK . '/blog/thumbs/' . Files::splitAppendix($img);
        }
        return $imgurl;
    }

}

?>