<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cbb61111 (2022-08-23 01:35:55)
// 

use ArfaCMS\Core\simpleTreeTable;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogHelperGroupsTree extends simpleTreeTable{

	public function __construct() {
		parent::__construct();
		$this->table="goods_group";
		$this->fld_id="ggr_id";
		$this->fld_parent_id="ggr_id_parent";
		$this->fld_title="ggr_name";
		$this->fld_deleted="ggr_deleted";
		$this->fld_enabled="ggr_enabled";
		$this->fld_orderby="ggr_name";
		$this->element_link="";
		$this->buildTreeArrays();
	}
	public function getWholeTreeUp($links){
		$arr=array();
		if (is_array($links)&&count($links)) {
			foreach($links as $link){
				$arr[]=$link["id"];
			}
			return parent::getWholeTreeUp($arr);
		} else return $arr;
	}
}
?>