<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Discounts and surcharges",
        "tablename" => "discounts",
        "keystring" => "d_id",
        "namestring" => "d_name",
        "enabled" => "d_enabled",
        "deleted" => "d_deleted",
        "ordering_field" => "d_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "discounts", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "discounts"),
        "modify" => array("show" => 1, "view" => "discounts", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "discounts", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "discounts", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "discounts", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "discounts", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "discounts", "link" => false)
    ),
    "uni_buttons" => array(),
    "fields" => array(
        "field" => array(1 => 'd_id', 'd_name', 'd_sign', 'd_value', 'd_period_unlimited',
            'd_start_date', 'd_end_date', 'd_stop', 'd_comment', 'd_ordering',
            'd_enabled', 'd_deleted'),
        "name" => array(1 => 'ID', 'Discount name', 'Sign', 'Discount value', 'Unlimited period',
            'Start date', 'End date', 'Stop with this discount', 'Comment', 'Apply order',
            'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'select', "text", 'checkbox',
            'datetime_ajax', 'datetime_ajax', 'checkbox', 'textarea', 'text',
            'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'string', 'float', 'boolean',
            'datetime', 'datetime', 'boolean', 'text', 'int',
            'boolean', 'boolean'),
        "link" => array(2 => 'index.php?module=catalog&view=discounts&task=modify&psid=[0]'),
        "link_key" => array(2 => 'id'),
        "link_title" => array(2 => 'Modify'),
        "check_value" => array(3 => 1, 4 => 1),
        "default_value" => array(3 => "-", 5 => 1, 6 => "NOW", 7 => "NOW"),
        "ck_reestr" => array(3 => "sign_vals_full")
    )
);
?>