<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "selector" => true,
        "title" => "Goods groups list",
        "tablename" => "goods_group",
        "keystring" => "ggr_id",
        "namestring" => "ggr_name",
        "enabled" => "ggr_enabled",
        "deleted" => "ggr_deleted"
    ),
    "buttons" => array(),
    "uni_buttons" => array(),
    "fields" => array(
        "field" => array(1 => 'ggr_id', 'ggr_name', 'ggr_id_parent', 'ggr_alias', 'ggr_enabled', 'ggr_deleted'),
        "name" => array(1 => "Group ID", "Group name", "Group parent", 'Alias', 'Enabled', 'Deleted'),
        "size" => array(1 => "80", "20%", '', '', '', ''),
        "view" => array(1 => 1, 1, 1, 1, 0, 0),
        "ch_table" => array(1 => "", 3 => "goods_group"),
        "ch_field" => array(1 => "", 3 => "ggr_name"),
        "ch_id" => array(1 => "", 3 => "ggr_id")
    )
);
?>