<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Advanced price management",
        "tablename" => "goods_prices",
        "keystring" => "p_id",
        "enabled" => "p_enabled",
        // "deleted" => "p_deleted",
        "multy_field" => "p_g_id",
        "keysort" => "p_quantity",
        "parent_name" => "g_name",
        "parent_view" => "goods",
        "parent_code" => "g_id",
        "use_view_rights" => "goods"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "goodsprices", "task" => "modify"),
        "filter" => array("show" => 0, "view" => "goodsprices"),
        "modify" => array("show" => 1, "view" => "goodsprices", "task" => "modify"),
        "reorder" => array("show" => 0, "view" => "goodsprices", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "goodsprices", "task" => "deleteNow"),
    ),
    "uni_buttons" => array(),
    "fields" => array(
        "field" => array(1 => 'p_id', 'p_g_id', 'p_quantity', 'p_price_1', 'p_price_2',
            'p_price_3', 'p_price_4', 'p_price_5', 'p_enabled', 'p_change_date',
            'p_change_uid'),
        "name" => array(1 => 'ID', 'Product', 'Quantity start', 'Price 1', 'Price 2',
            'Price 3', 'Price 4', 'Price 5', 'Enabled', 'Last change date',
            'Last changer'),
        "val_type" => array(1 => 'int', 'int', 'float', 'currency', 'currency',
            'currency', 'currency', 'currency', 'boolean', 'datetime',
            'int'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'text', 'text',
            'text', 'text', 'text', 'checkbox', 'label',
            'label_sel'),
        "default_value" => array(11 => "AUTHOR"),
        "ch_table" => array(2 => "goods", 11 => "users"),
        "ch_field" => array(2 => "g_name", 11 => 'u_login'),
        "ch_id" => array(2 => "g_id", 11 => 'u_id'),
    )
);
?>