<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Goods options",
        "tablename" => "goods_options_data",
        "keystring" => "od_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "od_enabled",
        // "deleted" => "",
        "multy_field" => "od_obj_id",
        "ordering_field" => "od_ordering",
        "parent_table" => "goods",
        "parent_name" => "g_name",
        "parent_view" => "goods",
        "parent_code" => "g_id",
        "use_view_rights" => "goods"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "options_data", "task" => "modifyOption_data"),
        "filter" => array("show" => 1, "view" => "options_data"),
        "modify" => array("show" => 1, "view" => "options_data", "task" => "modifyOption_data"),
        "reorder" => array("show" => 1, "view" => "options_data", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "options_data", "task" => "deleteNow"),
    ),
    "fields" => array(
        "field" => array(1 => 'od_id', 'od_obj_id', 'od_opt_id', 'od_vals_count', 'od_ordering', 'od_enabled'),
        "name" => array(1 => 'ID', 'Product', "Option", "Option values", "Ordering", "Enabled"),
        "input_type" => array(1 => 'hidden', 'label_sel', "select", "label", 'text', 'checkbox'),
        "val_type" => array(1 => 'int', 'int', 'int', 'string', 'int', 'boolean'),
        "input_view" => array(4 => 0),
        "fim" => array(4 => "countOptionsVals"),
        "default_value" => array(6 => 1),
        "check_value" => array(1 => 0, 1, 3, 0),
        "update_type" => array(3 => 0),
        "ch_table" => array(2 => "goods", 3 => "goods_options"),
        "ch_field" => array(2 => "g_name", 3 => "o_title"),
        "ch_id" => array(2 => "g_id", 3 => "o_id"),
    )
);
?>