<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Vendors categories",
        "tablename" => "vendor_categories",
        "keystring" => "vc_id",
        "namestring" => "vc_name",
        "deleted" => "vc_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "vendor_cats", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "vendor_cats"),
        "modify" => array("show" => 1, "view" => "vendor_cats", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "vendor_cats", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "vendor_cats", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'vc_id', 'vc_name', 'vc_desc', 'vc_deleted'),
        "name" => array(1 => 'Code', 'Name', 'Description', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'textarea', "hidden"),
        "val_type" => array(1 => 'int', 'string', 'string', 'boolean'),
        "check_value" => array(2 => 1),
        "link" => array(2 => 'index.php?module=catalog&view=vendors&psid=[0]'),
        "link_key" => array(2 => 'id'),
        "link_title" => array(2 => 'Show vendors')
    )
);
?>