<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Goods videos",
        "tablename" => "goods_videos",
        "keystring" => "v_id",
        "enabled" => "v_published",
        "deleted" => "v_deleted",
        "multy_field" => "v_gid",
        "ordering_field" => "v_ordering",
        "parent_view" => "goods",
        "parent_code" => "g_id",
        "use_view_rights" => "goods"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "videos", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "videos"),
        "modify" => array("show" => 1, "view" => "videos", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "videos", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "videos", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "videos", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'v_id', 'v_gid', 'v_title', 'v_image', 'v_video_youtube',
            'v_video_ogg', 'v_video_mp4', 'v_video_webm', 'v_comment', 'v_published',
            'v_ordering', 'v_deleted'),
        "name" => array(1 => 'ID', 'Goods name', 'Title', 'Image', 'Video YouTube',
            'Video OGG', 'Video MP4', 'Video WEBM', 'Comments', 'Published',
            'Ordering', 'Delete mark'),
        "descr" => array(6 => 'Ogg/Vorbis for old versions Firefox и Opera', 7 => 'MP4 for Safari, IE9, iPhone, iPad, Android, и Windows Phone 7', 8 => 'WebM/VP8 for Firefox4, Opera, and Chrome'),
        "val_type" => array(1 => 'int', 'int', 'string', 'string', 'string',
            'string', 'string', 'string', 'text', 'boolean',
            'int', 'boolean'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'image', 'text',
            'filepath', 'filepath', 'filepath', 'texteditor', 'checkbox',
            'text', 'hidden'),
        "upload_path" => array(4 => 'videothumbs'),
        "ch_table" => array(2 => "goods"),
        "ch_field" => array(2 => "g_name"),
        "ch_id" => array(2 => "g_id"),
    )
);
?>