<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 2805ae0c (2023-01-17 00:59:02)
// 

use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogModelDiscounts extends SpravModel {
	public function getGoods($psid){
		$sql = "SELECT DISTINCT d.g_id AS id, CONCAT(g.g_sku,' : ', g.g_name) AS title FROM #__goods_discounts AS d, #__goods AS g WHERE g.g_id=d.g_id AND d.d_id=".$psid;
		$this->_db->setQuery($sql);
		return $this->_db->loadAssocList();
	}
	public function saveGoods($psid, $goods){
		$sql = "DELETE FROM #__goods_discounts WHERE d_id=".$psid.$this->_db->getDelimiter();
		if(count($goods)){
			foreach($goods as $gid){
				$sql.= "INSERT INTO #__goods_discounts VALUES(".$gid.",".$psid.")".$this->_db->getDelimiter();
			}
		}
		$this->_db->setQuery($sql);
		// return $this->_db->query_batch(true,true);
        if(!$this->_db->query_batch(true, true)) {
            $this->addMessage(Text::_("Save goods unsuccessfull"));
            return false;
        }
        return true;
    }
}
?>