<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6a85f7e5 (2024-10-09 22:55:01)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="catalog-manager catalog-exchange1c-log">
    <h4 class="title main-title"><?php echo Text::_("Data exchange in 1C format"); ?>. <?php echo Text::_("Report"); ?>.</h4>
    <div class="rounded-pan">
        <div class="row">
            <div class="col-md-12">
                <?php echo str_replace(str_repeat(" ", 2), str_repeat("&nbsp;", 2), Text::toHtml($this->log)); ?>
            </div>
        </div>
    </div>
</div>
