<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 290cb1cb (2024-09-30 17:53:08)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;

defined('_ARFACMS_VALID') or die("Access denied");

$_HTML="<div id=\"sign_in\">";
// $_HTML.="<h4 class=\"not_authorized\">".Text::_("You are not authorized").".</h4>";
$_HTML.="<h4 class=\"please-login\">*4444444444* ".Text::_(\backofficeConfig::$noRegistration ? "Please log in" : "Please log in or register").".</h4>";
$_HTML.="<div class=\"buttons buttons-login\">";
$_HTML.="<a rel=\"nofollow\" class=\"linkButton rel-popup-text btn btn-primary\" href=\"".Router::_("index.php?module=user&amp;view=login")."\">".Text::_("Log in")."</a>";
if (!\backofficeConfig::$noRegistration) $_HTML.="<a class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=user&amp;view=register")."\">".Text::_("Register")."</a>";
$_HTML.="</div>";
if(\catalogConfig::$ordersWithoutRegistration && !\backofficeConfig::$cryptoUserData){
	$_HTML.="<div class=\"buttons\">";
	$_HTML.="	<form action=\"".Router::_(Util::getReturnUrl(false))."\" method=\"post\">";
	$_HTML.="		<input class=\"linkButton btn btn-primary\" type=\"submit\" value=\"".Text::_("Continue without registration")."\" />";
	$_HTML.="		<input type=\"hidden\" name=\"without_registration\" value=\"1\" />";
	$_HTML.="	</form>";
	$_HTML.="</div>";
}
$_HTML.="</div>";
echo $_HTML; 

?>