<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 768f2206 (2023-04-26 02:04:05)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Comments",
        "tablename" => "comms",
        "keystring" => "cm_id",
        "namestring" => "cm_title",
        // "alias_field" => "",
        "enabled" => "cm_published",
        "deleted" => "cm_deleted",
        "multy_field" => "cm_grp_id",
        "parent_table" => "comms_grp",
        "parent_name" => "cg_title",
        "parent_view" => "groups",
        "parent_code" => "cg_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 0, "view" => "comments", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "comments"),
        "modify" => array("show" => 1, "view" => "comments", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "comments", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "comments", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'cm_id', 'cm_grp_id', 'cm_obj_id', 'cm_parent_id', 'cm_uid',
            'cm_nickname', 'cm_email', 'cm_date', 'cm_ip', 'cm_title',
            'cm_text', 'cm_rating', 'cm_cat', 'cm_type', 'cm_published',
            'cm_deleted'),
        "name" => array(1 => 'ID', 'Group', 'Objject ID', 'Parent', 'User id',
            'User nickname', 'User email', 'Date', 'IP', 'Title',
            'Text', 'Raiting', 'Category', 'Type', 'Published',
            'Deleted'),
        "input_type" => array(1 => 'label', 'label_sel', 'label', 'label', 'label_sel',
            'label', 'label', 'label', 'label', 'label',
            'textarea', 'text', 'select', 'select', 'checkbox',
            'hidden'),
        "val_type" => array(1 => 'int', 'int', 'int', 'int', 'int',
            'string', 'string', 'datetime', 'string', 'string',
            'text', 'int', 'int', 'int', 'boolean',
            'boolean'),
        "ch_table" => array(1 => "", 2 => "comms_grp", 5 => "users", 13 => "comms_cat", 14 => "comms_types"),
        "ch_field" => array(1 => "", 2 => "cg_title", 5 => "u_nickname", 13 => "cc_title", 14 => "ct_title"),
        "ch_id" => array(1 => "", 2 => "cg_id", 5 => "u_id", 13 => "cc_id", 14 => "ct_id"),
        "ch_enabled" => array(1 => "", 2 => "cg_enabled", 13 => "cc_enabled", 14 => "ct_enabled"),
        "ch_deleted" => array(1 => "", 2 => "cg_deleted", 5 => "u_deleted", 13 => "cc_deleted", 14 => "ct_deleted")
    )
);
?>