<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Localities",
        "tablename" => "addr_localities",
        "keystring" => "l_id",
        "namestring" => "l_name",
        "enabled" => "l_enabled",
        "deleted" => "l_deleted",
        "multy_field" => "l_parent_id",
        "ordering_field" => "l_ordering",
        "parent_view" => "cladr.districts"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "cladr", "layout" => "localities", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "cladr", "layout" => "localities",),
        "modify" => array("show" => 1, "view" => "cladr", "layout" => "localities", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "cladr", "layout" => "localities", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "cladr", "layout" => "localities", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "l_id", "l_parent_id", "l_name", "l_long", "l_lat", "l_show_on_map", "l_ordering", "l_enabled", "l_deleted"),
        "name" => array(1 => "ID", "District/Town", "Title", "Longitude", "Latitude", "Show on map", "Ordering", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "select", "text", "text", "text", "checkbox", "text", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "int", "string", "float", "float", "boolean", "int", "boolean", "boolean"),
        "view" => array(1 => 0, 0, 1, 1, 1, 1, 1, 1, 0),
        "ch_table" => array(1 => "", 2 => "addr_districts"),
        "ch_field" => array(1 => "", 2 => "d_name"),
        "ch_id" => array(1 => "", 2 => "d_id"),
    )
);
?>