<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Additional fields groups",
        "tablename" => "fields_groups",
        "keystring" => "fg_id",
        "namestring" => "fg_name",
        // "alias_field" => "",
        "enabled" => "fg_enabled",
        "deleted" => "fg_deleted",
        "use_view_rights" => "dopfields"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "dopfields_groups", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "dopfields_groups"),
        "modify" => array("show" => 1, "view" => "dopfields_groups", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "dopfields_groups", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "dopfields_groups", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "dopfields_groups", "link" => false),
    ),
    "fields" => array(
        "field" => array(1 => 'fg_id', 'fg_name', 'fg_vals_count', 'fg_comment', 'fg_deleted', 'fg_enabled'),
        "name" => array(1 => 'ID', 'Title', 'Fields', 'Comment', 'Deleted', 'Enabled'),
        "input_type" => array(1 => 'hidden', 'text', 'label', 'textarea', 'hidden', 'checkbox'),
        "input_size" => array(1 => false),
        "view" => array(1 => 1, 1, 1, 0, 0, 0),
        "fim" => array(3 => "countFieldVals"),
        "val_type" => array(1 => 'int', 'string', 'string', 'text', 'boolean', 'boolean'),
        "link" => array(2 => 'index.php?module=conf&view=dopfields_groups&task=modify&psid=[0]&multy_code=[1]'),
        "link_title" => array(2 => 'Modify'),
        "link_key" => array(2 => 'id,multy_code'),
        "check_value" => array(1 => 0, 1, 0, 0, 0, 0)
    )
);
?>