<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Elements of xml sitemap",
        "tablename" => "sitemap_man",
        "keystring" => "m_id",
        "namestring" => "m_loc",
        // "alias_field" => "",
        "enabled" => "m_enabled",
        "deleted" => "m_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "mansitemap", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "mansitemap"),
        "modify" => array("show" => 1, "view" => "mansitemap", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "mansitemap", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "mansitemap", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'm_id', 'm_loc', 'm_lastmod', 'm_changefreq', 'm_priority', 'm_deleted', 'm_enabled', 'm_type', 'm_module', 'm_title'),
        "name" => array(1 => "ID", "loc", "lastmod", "changefreq", "priority", "Deleted", "Enabled", 'Operation', 'Module', 'Title'),
        "input_type" => array(1 => "hidden", "text", "date_ajax", "text", "text", "hidden", "checkbox", 'select', 'string', 'string'),
        "val_type" => array(1 => "int", "string", "date", "string", "string", "boolean", "boolean", 'string', 'string', 'string'),
        "check_value" => array(2 => 1),
        "ck_reestr" => array(8 => 'inc_switcher'),
        "default_value" => array(3 => "TODAY", 4 => "weekly", 5 => "0.5", 7 => true, 8 => '1', 9 => 'main')
    )
);
?>