<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 5a95fa79 (2024-09-30 21:33:25)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of modules",
        "tablename" => "modules",
        "keystring" => "m_id",
        "deleted" => "m_deleted"
    ),
    "buttons" => array(
        "modify" => array("show" => 1, "view" => "modules", "task" => "modify")
    ),
    "fields" => array(
        "field" => array(1 => 'm_id', 'm_name', 'm_replace_name', 'm_show_breadcrumb', 'm_config', 'm_incl_map', 'm_enabled', 'm_deleted', 'm_translated'),
        "view" => array(1 => 0, 0, 0, 1, 1, 1, 1, 0, 0),
        "name" => array(1 => 'ID', 'm_name', 'Replace name', 'm_show_breadcrumb', 'm_config', 'Include for sitemap', 'Enabled on frontend', 'Deleted', 'Demand translate'),
        "input_type" => array(1 => 'hidden', 'label', (defined("_ARFACMS_TRANSLATE") ? 'text' : "hidden"), 'checkbox', 'text', 'checkbox', 'checkbox', 'hidden', (defined("_ARFACMS_TRANSLATE") ? 'checkbox' : "hidden")),
        "val_type" => array(1 => 'int', 'string', 'string', 'boolean', 'string', 'boolean', 'boolean', 'int', 'boolean'),
        "link" => array(5 => "index.php?module=conf&view=modules&task=modify&psid=[0]&page=[1]&sort=[2]&orderby=[3]"),
        "link_key" => array(5 => 'id, page, sort, orderby'),
        "link_picture" => array(5 => LINK_IMAGES . "/blank.gif"), // This blank image is OK !!!
        "translate_value" => array(2 => true)
    )
);
?>