<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 08f86bc8 (2024-09-21 16:39:14)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "selector" => 1,
        "title" => "Payment types",
        "tablename" => "pts_active",
        "keystring" => "pt_id",
        "namestring" => "pt_title",
        // "alias_field" => "",
        "enabled" => "pt_enabled",
        "deleted" => "pt_deleted"
    ),
    "fields" => array(
        "field" => array(1 => 'pt_title', 'pt_id', 'pt_module', 'pt_enabled', 'pt_deleted'),
        "name" => array(1 => 'Name', 'Id', 'Module', 'Enabled', 'Deleted'),
        "val_type" => array(1 => "string", "int", "string", "boolean", "boolean"),
        "view" => array(1 => 1, 1, 1, 0, 0)
    )
);
?>