<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Redirect links",
        "tablename" => "redirect_links",
        "keystring" => "rl_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "rl_published",
        "deleted" => "rl_deleted",
        "ordering_field" => "rl_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "redirectlinks", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "redirectlinks"),
        "modify" => array("show" => 1, "view" => "redirectlinks", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "redirectlinks", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "redirectlinks", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'rl_id', 'rl_old_url', 'rl_new_url', 'rl_comment', 'rl_redirects', 'rl_substitution', 'rl_ordering', 'rl_published', 'rl_deleted', 'rl_create_date'),
        "name" => array(1 => 'ID', 'Old url', 'New url', 'Comment', 'Redirects', 'Disable redirect', 'Ordering', 'Published', 'Deleted', 'Link created'),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'texteditor', 'label', 'checkbox', 'text', 'checkbox', 'hidden', 'label'),
        "default_value" => array(10 => "NOW"),
        "val_type" => array(1 => 'int', 'string', 'string', 'text', 'int', 'boolean', 'int', 'boolean', 'boolean', 'datetime'),
        "view" => array(1 => 0, 1, 1, 1, 1, 1, 1, 1, 0, 1),
    )
);
?>