<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e75c2378 (2023-03-02 20:03:01)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class confViewDopfields_groups extends SpravView {
	public function countFieldVals(&$psid, &$row, $allow_links = true){
		$count=Module::getInstance()->getModel()->countFieldVals($psid);
        $link="index.php?module=conf&view=dopfields&psid=".$psid;
        if($allow_links){
            if($count)	return "<a title=\"".Text::_("Show additional fields")."\" href=\"".$link."\">".Text::_("Total").": ".$count."</a>";
            else return "<a title=\"".Text::_("Show additional fields")."\" href=\"".$link."\">".Text::_("Values absent")."</a>";
        } else {
            if($count)	return Text::_("Total").": ".$count;
            else return Text::_("Values absent");
        }
	}
}
?>