<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Router;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class forumModelThemes extends SpravModel {
	public function cleanLinksFromPosts(){
		// удаление ссылок
		$query = "DELETE FROM #__tags WHERE t_module_name='".$this->getModule()->getName()."' AND t_object_id NOT IN (SELECT t_id FROM #__forum_themes)".$this->_db->getDelimiter();
		$this->_db->setQuery($query); if(!$this->_db->query_batch(true,true)) return false;
		return true;
	}
	public function cleanRecords()	{
		if(parent::cleanRecords()) return $this->cleanLinksFromPosts();	else return false;
	}
	public function save(){
		$tags=$this->buildTagsString(Request::getSafe("t_tags",""));
		Router::getInstance()->setVarsVal("t_tags",$tags);
		$psid=parent::save();
		if($psid) $this->updateTags($psid, $tags);
		if($psid) $this->updateAlias($psid, Request::getSafe('t_alias',""), Request::getSafe('t_theme',""));
		return $psid;
	}
}
?>