<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 5f77b991 (2022-08-22 19:50:46)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class forumViewTheme extends SpravView {
	public function getImage($img) {
		$imgpath=ARFACMS_STORAGE_PATH.'forum'.DS.'themes'.DS.Files::splitAppendix($img,true);
		$imgurl="";
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=ARFACMS_STORAGE_LINK.'/forum/themes/'.Files::splitAppendix($img);
		}
		return $imgurl;
	}
}

?>