<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class mailModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            //
        } else {
            $this->setDefaultView('contents');
        }
    }
	public function writeLetter($recieverId,$theme,$text) {
		$model = $this->getModel('letter');
		$model->writeLetter(intval($recieverId),$theme,$text);
	}
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='mailModule'; $acl[$i]['ao_description']='Module access';
        } else {
            $i++;$acl[$i]['ao_name']='mailModule'; $acl[$i]['ao_description']='Module access';
        }
        return 	$acl;
    }
}
?>