<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 53cd524d (2024-09-28 18:47:32)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<div class=\"mail-toolbar row\"><div class=\"col\">";
echo "	<a class=\"linkButton btn btn-primary\" rel=\"nofollow\" id=\"answerLetter\" href=\"".Router::_("index.php?module=mail&amp;view=write&amp;recvuid=".$this->letter->l_sender_id."&amp;theme=".urlencode("Re: ".$this->letter->l_theme))."\">".Text::_('Answer')."</a>";
echo "</div><div class=\"col-auto\">";
echo "	<a class=\"linkButton btn btn-primary\" rel=\"nofollow\" id=\"deleteLetter\" onclick=\"javascript: if (confirm('".Text::_("Delete letter")."?')) return true; else return false;\" href=\"".Router::_("index.php?module=mail&amp;task=delete&amp;inbox=".$this->inbox."&amp;letterid=".$this->letter->l_id)."\">".Text::_('Delete')."</a>";
echo "</div></div>";
?>
<div class="letter-block">
	<div class="letter-theme"><h3><?php echo $this->letter->l_theme; ?></h3></div>
	<div class="letter-data row">
		<div class="letter-prop col"><?php echo HTMLControls::renderLabelField("", $this->userType.":"); ?><?php echo $this->user; ?></div>
		<div class="letter-prop col-auto"><?php echo HTMLControls::renderLabelField("",Text::_('Date').":"); ?><?php echo $this->letter->l_date; ?></div>
	</div>
	<div class="letter-text"><?php echo $this->letter->l_text; ?></div>
</div>