<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4d62d2af (2023-09-16 17:10:33)
// 

use ArfaCMS\Core\User;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class ordersModelSales extends SpravModel {
	public function getStatuses(){
		$sql="SELECT * FROM #__orders_status WHERE os_enabled=1 AND os_deleted=0 ORDER BY os_id ASC";
		$this->_db->setQuery($sql);
		$res=$this->_db->loadObjectList('os_id');
		return $res;
	}
	public function getOrders(){
		$user_id = User::getInstance()->getId();
		if($user_id) {
			$sql="SELECT * FROM #__orders as o, #__users_vendors as v WHERE o.o_vendor=v.uv_vid AND v.uv_uid>0 AND v.uv_uid=".$user_id." ORDER BY o_date DESC,o_id DESC";
			$this->_db->setQuery($sql);
			return $this->_db->loadObjectList();
		} else {
			return array();
		}
	}
}
?>