<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: b6b1944a (2023-09-27 15:32:39)
// 


defined('_ARFACMS_VALID') or die("Access denied");

class ordersModuleParams {
	public static function _proceed(&$module){
        /*
		$module->addParam("require_person", "boolean", 1);
		$module->addParam("require_email", "boolean", 1);
		$module->addParam("require_phone", "boolean", 1);
        */
        $module->addParam("price_digits", "integer", 2);
        $module->addParam("quantity_digits", "integer", 4);
        $module->addParam("weight_digits", "integer", 3);
        $module->addParam("size_digits", "integer", 3);
        $module->addParam("volume_digits", "integer", 3);

        $module->addParam("notify_about_payment_email", "boolean", 1);
        $module->addParam("payment_notification_email", "string", "");
        $module->addParam("sms2admin", "boolean", 0);

	}
}
?>