<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4d62d2af (2023-09-16 17:10:33)
// 

use ArfaCMS\Core\Basket;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if (Basket::getInstance()->order_message) echo "<h1>".Basket::getInstance()->order_message."</h1>";
if (isset($this->pt_class) && $this->pt_class) {
	$pt_class=$this->pt_class;
	$_mode = Request::getSafe('mode','show');
	if(method_exists($pt_class, $_mode)) $pt_class->{$_mode}();
	else die("Method absent");
} else { echo "<h1>".Text::_("Order not found")."</h1>";	}
?>