<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "checkbox" => false,
        "title" => "Mailer log",
        "tablename" => "mailer_log",
        "keystring" => "err_time", // @TODO CHECK IF CORRECT !!!!!!!!!!!
        "namestring" => "m_theme"
    ),
    "buttons" => array(
        "filter" => array("show" => 1, "view" => "mailerlog")
    ),
    "uni_buttons" => array(
        "clean_trash" => array(
            "title" => "Clean mailer log",
            "alt" => 'X',
            "reset_multy" => "true",
            "task" => 'cleanMailerlog',
            "view" => 'mailerlog',
            "module" => 'service',
            "position" => "right",
            "confirm" => "Clean mailer log"
        ),
    ),
    "fields" => array(
        "field" => array(1 => "email", "err_code", "err_text", "err_response", "err_time", "m_theme"),
        "name" => array(1 => "Email", "Error code", "Error text", "Server response", "Time", "Theme"),
        "input_type" => array(1 => "text", "text", "text", "text", "text", "text"),
        "val_type" => array(1 => "string", "string", "string", "string", "string", "string"),
        "sort_order" => array(5 => "DESC"),
    )
);
?>