<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Blacklist",
        "tablename" => "blacklist",
        "keystring" => "bl_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "bl_enabled",
        "deleted" => "bl_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "blacklist", "task" => "modifyBlacklist"),
        "filter" => array("show" => 1, "view" => "blacklist"),
        "modify" => array("show" => 1, "view" => "blacklist", "task" => "modifyBlacklist"),
        "undelete" => array("show" => 1, "view" => "blacklist", "task" => "delete"),
        "delete" => array("show" => 1, "view" => "blacklist", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'bl_id', 'bl_val', 'bl_type', 'bl_enabled', 'bl_deleted'),
        "name" => array(1 => 'ID', 'Value', 'Type', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'select', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'string', 'boolean', 'boolean'),
        "view" => array(1 => 0, 1, 1, 1, 0),
        "check_value" => array(2 => 1, 3 => 1),
        "ck_reestr" => array(3 => "blacklist_type")
    )
);
?>