<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 5f77b991 (2022-08-22 19:50:46)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class videosetViewVideos extends SpravView {
	public function renderPlayer($video, $width="100%", $height="auto"){
		if ($video->v_image && is_file(ARFACMS_STORAGE_PATH."videoset".DS."i".DS.Files::getAppendix($video->v_image).DS.$video->v_image))
			$video->v_image = ARFACMS_STORAGE_LINK.'/videoset/i/'.Files::getAppendix($video->v_image)."/".$video->v_image;
		else $video->v_image="";
		return Module::getHelper("player")->render($video, $width, $height);
	}
}

?>