<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 59d8343f (2022-08-24 21:53:24)
// 

use ArfaCMS\Core\Plugin;
use ArfaCMS\Core\Request;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class contentPluginrg_stat extends Plugin {

	private $module="catalog";
	private $view= "goods";
	private $side=0;
	protected $_events=array("system.executeModuleAfter");	
	
	protected function setParamsMask(){
		parent::setParamsMask();
	}
	
	protected function onRaise($event, &$data) {
		if (Module::getInstance()->getName()!="catalog") return "";
		switch($event){
			case "system.executeModuleAfter":
				$module=$this->module;
				$view= $this->view;
				$side=$this->side;
				$psid = Request::getInt('psid', false); 					// ид строки
				$rg_referer = Request::getSafe("rg_referer","");
				if($rg_referer)	$this->writeRGEvent(base64_decode($rg_referer),$psid);
			break;
			default:
			break;
		}
	}
	private function writeRGEvent($remote_url, $psid){
		$sql="INSERT INTO #__goods_stat	(`gs_id`,`gs_remote_url`,`gs_goods_id`,	`gs_count`,	`gs_enabled`,`gs_deleted`) VALUES (NULL,'".$remote_url."',".$psid.",1,1,0) ON DUPLICATE KEY UPDATE gs_count=gs_count+1";
		Database::getInstance()->setQuery($sql);
		Database::getInstance()->query();
	}
}
?>