<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 59d8343f (2022-08-24 21:53:24)
// 

use ArfaCMS\Core\Plugin;
use ArfaCMS\Core\Portal;

defined('_ARFACMS_VALID') or die("Access denied");

class editorPluginmediamanager extends Plugin {
	protected $_events=array("editor.ckeditor_params");
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("use_absolute_links", "boolean", 1);
	}
	protected function onRaise($event, &$data) {
		switch($event){
			case "editor.ckeditor_params":
				if(defined("_ADMIN_MODE")) {
					Portal::getInstance()->addScript("modules/service.js");
					$data[]="'showFileBrowserButton':'1'";
					$data[]="'useAbsoluteLinks':'".intval($this->getParam("use_absolute_links"))."'";
				}
			break;
			default:
			break;
		}
	}
}

?>