//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1fc1251f (2024-10-08 01:29:06)
// 

$(window).on('load', function () {
    navyButtons();
    applyHeights();
    addAfterContentLoadHandler('applyHeights');
});
$(window).resize(function () {
    equalizedHeightElements.forEach(function (item, i, arr) {
        equalizeDivHeight(item);
    });
});

function applyHeights() {
    /*
    equalizeDivHeight('.row-cells-autoheight .row-cell-wrapper');
    */
    // -----------------------------------------------------------
    /*
    equalizeDivHeight('.quadro-wrapper .g-thumb-link');
    equalizeDivHeight('.quadro-wrapper .g-thumb');
    equalizeDivHeight('.quadro-wrapper .g-title');
    equalizeDivHeight('.quadro-wrapper .g-custom-properties');
    equalizeDivHeight('.quadro-wrapper .g-price');
    equalizeDivHeight('.quadro-wrapper .g-quantity');

    equalizeDivHeight('.quadro-wrapper .group-img');
    equalizeDivHeight('.quadro-wrapper .group-link');

    equalizeDivHeight('.quadro-wrapper');
    */
    // -----------------------------------------------------------
    /*
    equalizeDivHeight('.galleryModule .gallery-image .gallery-image-wrapper');
    equalizeDivHeight('.galleryModule .gallery-image .image-title');
    equalizeDivHeight('.galleryModule .gallery-image');
    */
}

function navyButtons() {
    $("body").append("<a id=\"go_top\"><i class=\"bi bi-chevron-up\"></i></a>");
    $("body").append("<a id=\"go_bottom\"><i class=\"bi bi-chevron-down\"></i></a>");
    $("a#go_top").hide().removeAttr("href");
    if ($(window).scrollTop() >= "250") $("a#go_top").fadeIn("slow");
    $(window).scroll(function () {
        if ($(window).scrollTop() <= "250") $("a#go_top").fadeOut("slow");
        else $("a#go_top").fadeIn("slow");
    });
    $("a#go_bottom").hide().removeAttr("href");
    if ($(window).scrollTop() <= $(document).height() - "999") $("a#go_bottom").fadeIn("slow");
    $(window).scroll(function () {
        if ($(window).scrollTop() >= $(document).height() - "999") $("a#go_bottom").fadeOut("slow");
        else $("a#go_bottom").fadeIn("slow");
    });
    $("a#go_top").click(function () {
        $("html, body").animate({scrollTop: 0}, "slow");
    })
    $("a#go_bottom").click(function () {
        $("html, body").animate({scrollTop: $(document).height()}, "slow");
    })
}

function templateEveryLoad(parent_prefix) {
    if (typeof (parent_prefix) != 'undefined' && parent_prefix) _current_prefix_ws = parent_prefix + ' '; else _current_prefix_ws = '';
    /*
    // Usage example
    $(_current_prefix_ws + ".MyClass").each(function(){
        // Here some actions
    });
    */
    initTooltips(_current_prefix_ws);
    if (typeof (siteConfig['debugMode']) != 'undefined' && parseInt(siteConfig['debugMode']) > 0) {
        console.log("function templateEveryLoad executed");
    }
}
