//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 114e397c (2024-09-28 03:21:15)
// 


function updateCommentRoleRule(el, grp_id, role_id, act, flag) {
	var newflag=1;
	ajaxShowActivity();
	$.ajax({
		url : "index.php",
			data:({type:'module',
				   option:'ajax',
				   module:'comments',
				   task:'updateRoleRule',
				   psid:grp_id,
				   role:role_id,
				   act:act,
				   flag:flag
				   }),
			dataType:'html',
			success : function(data, textStatus) {
				if (data=='OK'){
					if (flag=='1') newflag='0'; 
					$htmlcode='<a class="granted-'+flag+'" onclick="updateCommentRoleRule(this,\''+grp_id+'\',\''+role_id+'\',\''+act+'\',\''+newflag+'\')"><i class="bi bi-flag-fill"></i></a>';
					$(el).parent().html($htmlcode);
					ajaxHideActivity();
				} else {
					alert('Server answered ERROR');
					ajaxHideActivity();
					return false;
				}
			},
			error : function() {
				alert('Server ERROR');
				ajaxHideActivity();
				return false;
			}
	});
}
