<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0520dfc1 (2022-08-18 21:26:27)
// 

defined('_ARFACMS_VALID') or die("Access denied");

/**
 ПЕРЕИМЕНОВАТЬ В metadata_u.php
 В этот файл складывать классы возвращающие ассоциативные массивы, которые
 планируется использовать в основном справочнике системы  в качестве
 статичных списков, которые имеют приоритет над metadata.php
 В качестве возвращаемого значения - всегда ассоциативный массив

 Имя функции не менять,
 Имя файла не менять.
 Начинка по желанию.

 Reserved keys are "sex", "side", "rating", "link_target", "extendable_tables","template_zones"
*/

final class userCKArray	{
	public static function getArray($ck_label="") {
		switch($ck_label){
			// Пример получения значений
			case "extendable_tables":
				$ck_array=\customCKArray::getArray($ck_label, true);
				// Здесь можно обработать массив
				return $ck_array;
				break;
			default:
				return false;
				break;
		}
	}
}
?>