<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4868c039 (2022-08-23 17:14:13)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Tools\pop3mail;

DEFINE("_ARFACMS_VALID", 1);
DEFINE("DS", DIRECTORY_SEPARATOR);
DEFINE("CR_LF", chr(13) . chr(10));
DEFINE("IS_CONSOLE", 1);
//-------------------------------------------------------------------------------
$pathSite = realpath(dirname(__FILE__) . DS . '..') . DS;
define('PATH_SITE', $pathSite);
//-------------------------------------------------------------------------------
require_once PATH_SITE . 'packages' . DS . 'path.php'; // Include path constants
//-------------------------------------------------------------------------------
require_once PATH_PACKAGES . 'startup_con.php';
/******************************************************/
echo CR_LF . Date::formatTimestamp(time(), true, true) . " Start recieving letters....." . CR_LF;
$mailbox = new pop3mail(mailerConfig::$pop3Server, mailerConfig::$pop3User, mailerConfig::$pop3Password);
$mailbox->setSender(mailerConfig::$exchangeEmail);
$mailbox->setProcessType("attachmentsBySender");
$mailbox->setDeleteAfterRead(true);
$mailbox->checkMail();
echo CR_LF . Date::formatTimestamp(time(), true, true) . " Job finished....." . CR_LF;
?>