<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: b2c50992 (2022-12-22 21:49:21)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class aclmgrModule extends Module {
	public function prepare() {
		/* Not need here if is set in module settings */
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('roles');
        } else {
            Util::fatalError(Text::_("Module unavailable"));
        }
    }
	public function getACLTemplate($is_admin=true){		
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='aclmgrModule'; $acl[$i]['ao_description']='Module access';
			$i++;$acl[$i]['ao_name']='viewAclmgrRoles'; $acl[$i]['ao_description']='View and modify roles';
			$i++;$acl[$i]['ao_name']='deleteAclmgrRoles'; $acl[$i]['ao_description']='Finally delete roles';
		}
		return 	$acl;
	}
}
?>