<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e5d89777 (2023-04-25 15:15:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");
$_curr_md = array(
    "header" => array(
        "title" => "ACRM categories",
        "tablename" => "banners_categories",
        "keystring" => "bc_id",
        "namestring" => "bc_name",
        "enabled" => "bc_published",
        "deleted" => "bc_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "cats", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "cats"),
        "modify" => array("show" => 1, "view" => "cats", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "cats", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "cats", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'bc_id', 'bc_name', 'bc_descr', 'bc_published', 'bc_deleted'),
        "name" => array(1 => 'ID', 'Name', 'Description', 'Published', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'textarea', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'text', 'boolean', 'boolean'),
        "link" => array(2 => 'index.php?module=acrm&view=items&psid=[0]'),
        "link_key" => array(2 => 'id'),
        "link_title" => array(2 => 'Show banners')
    )
);
?>