<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class acrmModelClients extends SpravModel {

	public function cleanClientsFromItems(){
		// обнуляем удаленных клиентов в баннерах
		$query = "UPDATE #__banners SET b_client_id=0 WHERE b_client_id NOT IN ( SELECT bcl_id FROM #__banners_clients)";
		$this->_db->setQuery($query); if(!$this->_db->query()) return false; 
		return true;
	}
	
	public function cleanRecords()	{
		if(parent::cleanRecords()) return $this->cleanClientsFromItems();	else return false;
	}
	
}
?>