<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 13da56d6 (2024-11-10 16:07:33)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

class articleModuleParams
{
    public static function _proceed(&$module)
    {
        $module->addParam("use_rating", "boolean", 0);
        $module->addParam("breadcrumb_start", "string", "Articles", false, null, Text::_("Will be translated"));
        $module->addParam("breadcrumb_start_link", "string", "index.php?module=article");
        $module->addParam("breadcrumb_lenght", "integer", 0);
        $module->addParam("default_childs_list_title", "string", "Related articles", true, null, Text::_("Will be translated"));
        /*
        * * @FIXME It is for test, remove later
        $module->addParam("test_text_param", "string", "AAAAAAAAAA");
        $module->addParam("test_text_param_2", "string", "BBBBBBBBBB", true);
        $module->addParam("test_date_param", "date", \ArfaCMS\Core\Date::todaySQL(), false);
        */
    }
}

?>