<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e5d89777 (2023-04-25 15:15:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");
$_curr_md = array(
    "header" => array(
        "selector" => true,
        "title" => "Blogs categories list",
        "tablename" => "blogs_cats",
        "keystring" => "bc_id",
        "namestring" => "bc_name",
        "alias_field" => "bc_alias",
        "enabled" => "bc_enabled",
        "deleted" => "bc_deleted"
    ),
    "fields" => array(
        "field" => array(1 => 'bc_id', 'bc_id_parent', 'bc_name', 'bc_enabled', 'bc_deleted'),
        "name" => array(1 => "Category ID", "Parent category", "Category name", 'Enabled', 'Deleted'),
        "size" => array(1 => "80"),
        "view" => array(1 => 1, 1, 1, 0, 0),
        "ch_table" => array(1 => "", 2 => "blogs_cats"),
        "ch_field" => array(1 => "", 2 => "bc_name"),
        "ch_id" => array(1 => "", 2 => "bc_id")
    )
);
?>