<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6640751d (2023-03-29 13:28:03)
// 

defined('_ARFACMS_VALID') or die("Access denied");

class blogModuleParams {
	public static function _proceed(&$module){
		$module->addParam("short_theme_length", "integer", 50);
        // @FIXME Not used now
        // $module->addParam("exclude_cats_from_map", "table_multiselect", 0, false, "SELECT bc_id AS fld_id, CONCAT('(',bc_id,') ',bc_name) AS fld_name FROM #__blogs_cats WHERE bc_deleted=0 ORDER BY fld_name");
		$module->addParam("exclude_blogs_from_map", "table_multiselect", 0, false, "SELECT b_id AS fld_id, CONCAT('(',b_id,') ',b_name) AS fld_name FROM #__blogs WHERE b_deleted=0 ORDER BY fld_name");
	}
}
?>