<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Additional product images",
        "tablename" => "goods_img",
        "keystring" => "i_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "i_enabled",
        "deleted" => "i_deleted",
        "multy_field" => "i_gid",
        "ordering_field" => "i_ordering",
        "parent_name" => "g_name",
        "parent_view" => "goods",
        "parent_code" => "g_id",
        "use_view_rights" => "goods"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "images", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "images"),
        "modify" => array("show" => 1, "view" => "images", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "images", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "images", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "images", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "uni_buttons" => array(),
    "fields" => array(
        "field" => array(1 => 'i_id', 'i_gid', 'i_title', 'i_image', 'i_title_img',
            'i_alt_img', 'i_thumb', 'i_title_thm', 'i_alt_thm', 'i_ordering',
            'i_enabled', 'i_deleted'),
        "name" => array(1 => 'ID', 'Goods name', 'Title', 'Image', 'Title image',
            'Alt image', 'Thumb', 'Title thumb', 'Alt thumb', 'Ordering',
            'Published', 'Delete mark'),
        "val_type" => array(1 => 'int', 'int', 'string', 'string', 'string',
            'string', 'string', 'string', 'string', 'int',
            'boolean', 'boolean'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'image', 'text',
            'text', 'image', 'text', 'text', 'text',
            'checkbox', 'hidden'),
        "link" => array(1 => 'index.php?module=catalog&view=images&task=modify&psid=[0]&multy_code=[1]'),
        "link_key" => array(1 => 'id,i_gid'),
        "link_title" => array(1 => 'Modify'),
        "upload_path" => array(4 => 'i/fullsize', 7 => 'i/thumbs'),
        "ch_table" => array(2 => "goods"),
        "ch_field" => array(2 => "g_name"),
        "ch_id" => array(2 => "g_id")
    )
);
?>