<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Vendors links",
        "tablename" => "users_vendors",
        "keystring" => "uv_id",
        "enabled" => "uv_enabled",
        "deleted" => "uv_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "users", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "users"),
        "modify" => array("show" => 1, "view" => "users", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "users", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "users", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "uv_id", "uv_uid", "uv_vid", "uv_enabled", "uv_deleted"),
        "name" => array(1 => "ID", "User", "Vendor", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "select", "select", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "int", "int", "boolean", "boolean"),
        "ch_table" => array(2 => "users", 3 => "vendors"),
        "ch_field" => array(2 => "u_login", 3 => "v_name"),
        "ch_id" => array(2 => "u_id", 3 => "v_id"),
        "ch_deleted" => array(2 => "u_deleted", 3 => "v_deleted"),
        "ch_enabled" => array(2 => "u_activated", 3 => "v_enabled")
    )
);
?>