<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cbb61111 (2022-08-23 01:35:55)
// 

use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogModelOptions extends SpravModel {
	public function countOptionVals($opt_id){
		$sql="SELECT COUNT(*) FROM #__goods_opt_vals WHERE ov_opt_id=".intval($opt_id);
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}
	public function valsPossible($opt_id){
		$sql = "SELECT t.t_have_values FROM #__goods_opt_types as t, #__goods_options AS o";
		$sql.=" WHERE t.t_id=o.o_type AND o.o_deleted=0 AND o.o_id=".(int)$opt_id;
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}
	public function getOptionsTypes(){
		$sql = "SELECT * FROM #__goods_opt_types";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList('t_id'); 
	}
}
?>