<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6a85f7e5 (2024-10-09 22:55:01)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Sprav\SpravStatic;

defined('_ARFACMS_VALID') or die("Access denied");
$html = "<div class=\"rounded-pan\">";
$html .= $frm->startLayout(false);
$le_script = "";
$_activeTab = $this->activeTab;
/*
if (!is_object($row) || $row->g_type != 5){
    $hide_comlect_set = true;
}
*/
$pans_titles = SpravStatic::getCKArray("admin_goods_pans_titles");
$last_tab = $meta->input_last_page;
$el_name = $frm->getInputValue($meta->namestring);
if (!$el_name) $el_name = Text::_('New position');
$html .= "<div id=\"tab_switcher\">";
$html .= "<ul  class=\"nav nav-tabs\" id=\"tabs\">";
for ($_key = 1; $_key <= $last_tab; $_key++) {
    if ($_key == $_activeTab) $_class = ' active'; else $_class = "";
    $html .= "<li class=\"nav-item\">";
    $html .= "<a class=\"nav-link " . $_class . "\" data-key=\"" . $_key . "\" data-bs-target=\"#tab_" . $_key . "\" data-bs-toggle=\"tab\">" . Text::_($pans_titles[$_key]) . "</a>";
    $html .= "</li>";
}
$_akey = $_key + 2;
if ($_akey == $_activeTab) $_class = ' active'; else $_class = "";
$html .= "<li class=\"nav-item\">";
$html .= "<a class=\"nav-link " . $_class . "\" data-key=\"" . $_akey . "\" data-bs-target=\"#tab_" . $_akey . "\" data-bs-toggle=\"tab\">" . Text::_("Analogs") . "</a>";
$html .= "</li>";
// @TODO Check active tab
if (is_object($row) && $row->g_type == 5) {
    $_akey = $_key + 3;
    if ($_akey == $_activeTab) $_class = ' active'; else $_class = "";
    $html .= "<li id=\"gmtab_" . $_akey . "\" class=\"nav-item\">";
    $html .= "<a class=\"nav-link " . $_class . "\" data-key=\"" . $_akey . "\" data-bs-target=\"#tab_" . $_akey . "\" data-bs-toggle=\"tab\">" . Text::_("Complect set structure") . "</a>";
    $html .= "</li>";
}
$_akey = $_key + 4;
if ($_akey == $_activeTab) $_class = ' active'; else $_class = "";
$html .= "<li class=\"nav-item\">";
$html .= "<a class=\"nav-link " . $_class . "\" data-key=\"" . $_akey . "\" data-bs-target=\"#tab_" . $_akey . "\" data-bs-toggle=\"tab\">" . Text::_("Discounts and surcharges") . "</a>";
$html .= "</li>";
$_akey = $_key + 5;
if ($_akey == $_activeTab) $_class = ' active'; else $_class = "";
$html .= "<li class=\"nav-item\">";
$html .= "<a class=\"nav-link " . $_class . "\" data-key=\"" . $_akey . "\" data-bs-target=\"#tab_" . $_akey . "\" data-bs-toggle=\"tab\">" . Text::_("Additional goods") . "</a>";
$html .= "</li>";
$html .= "</ul>";
$html .= "</div>";
$html .= "<div class=\"tab-content pt-3 px-3\">";
for ($key = 1; $key <= $last_tab; $key++) {
    if ($key == $_activeTab) $_class = " active"; else $_class = "";
    $html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $key . "\">";
    $html .= "<h4 class=\"title\">" . $el_name . "</h4>";
    if ($this->renderLinksEditor && $key == 1) {
        $le_script = "
			$(document).ready(function() {
				$('#linkEditor .button-delete-link').parent('div').on('remove', function() {
					var cur_grp_id = $(this).children('input[name=\'linkEditor[]\']').val()
					if($('#g_main_grp option:selected').val()==cur_grp_id){
						$('#g_main_grp option[value=\'0\']').attr('selected','selected');
						alert('" . Text::_("You must specify main group now") . "!');
					}
					$('#g_main_grp option[value=\''+cur_grp_id+'\']').remove();
				});
			});
		";
        $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-g_main_grp\">";
        $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor('g_main_grp') . "&nbsp;" . $frm->renderBalloonFor('g_main_grp', false) . "</div>";
        $html .= "<div class=\"modify-input col-md-8\">";
        $html .= HTMLControls::renderSelect('g_main_grp', 'g_main_grp', 'id', 'title', $this->linksArray, $frm->getInputValue('g_main_grp'));
        $html .= "</div>";
        $html .= "</div>";
        $html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
        $html .= "<legend class=\"mb-lg-0\">" . Text::_("Goods groups") . ":</legend>";
        $html .= HTMLControls::renderHiddenField("linkEditor_nf", $meta->parent_name);
        $html .= HTMLControls::renderPopupMultySelect("linkEditor", $this->linksArray, "", "", "index.php?module=" . $module . "&amp;view=" . $parent_view . "&amp;layout=selector&amp;task=getContList&amp;lol=linkEditor&amp;option=ajax", '', $info, $this->linksAreNew);
        $html .= "</fieldset></div>";
    }
    if ($key == 2) {
        $html .= "<div class=\"row mb-3\">";
        $html .= "	<div class=\"col-md-12 text-end\">";
        $html .= "		<p class=\"adtl_img_link\"><a class=\"linkButton btn btn-primary\" href=\"" . Router::_("index.php?module=catalog&view=images&psid=" . $frm->getInputValue('g_id')) . "\">" . Text::_("View additional images") . "</a></p>";
        $html .= "	</div>";
        $html .= "</div>";
        $html .= "<div class=\"row\">";
        $html .= "	<div class=\"col-md-6\">";
        $html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_image\">";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0\">" . $frm->renderLabelFor("g_image") . "&nbsp;" . $frm->renderBalloonFor("g_image", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_image") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_title_img") . "&nbsp;" . $frm->renderBalloonFor("g_title_img", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_title_img") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_alt_img") . "&nbsp;" . $frm->renderBalloonFor("g_alt_img", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_alt_img") . "</div>";
        $html .= "			</div>";
        $html .= "		</div>";
        $html .= "	</div>";
        $html .= "	<div class=\"col-md-6\">";
        $html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_medium_image\">";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0\">" . $frm->renderLabelFor("g_medium_image") . "&nbsp;" . $frm->renderBalloonFor("g_medium_image", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_medium_image") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_title_med") . "&nbsp;" . $frm->renderBalloonFor("g_title_med", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_title_med") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_alt_med") . "&nbsp;" . $frm->renderBalloonFor("g_alt_med", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_alt_med") . "</div>";
        $html .= "			</div>";
        $html .= "		</div>";
        $html .= "	</div>";
        $html .= "</div>";
        $html .= "<div class=\"row mb-3\">";
        $html .= "	<div class=\"col-md-6\">";
        $html .= "		<div class=\"modify-image-wrapper\" id=\"wrapper-g_thumb\">";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0\">" . $frm->renderLabelFor("g_thumb") . "&nbsp;" . $frm->renderBalloonFor("g_thumb", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_thumb") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_title_thm") . "&nbsp;" . $frm->renderBalloonFor("g_title_thm", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_title_thm") . "</div>";
        $html .= "			</div>";
        $html .= "			<div class=\"row mb-3\">";
        $html .= "				<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor("g_alt_thm") . "&nbsp;" . $frm->renderBalloonFor("g_alt_thm", false) . "</div>";
        $html .= "				<div class=\"col-md-8\">" . $frm->renderInputPart("g_alt_thm") . "</div>";
        $html .= "			</div>";
        $html .= "		</div>";
        $html .= "	</div>";
        $html .= "</div>";
    } else {
        foreach ($input_type as $index => $value) {
            if ($key == 1) {
                if ($meta->input_page[$index] > 0 && $meta->input_page[$index] != $key) continue;
            } else {
                if ($meta->input_page[$index] != $key) continue;
            }
            if ($meta->input_view[$index] == 0 && $value != "hidden") continue;
            if ($meta->field[$index] == 'g_main_grp') continue;
            switch ($value) {
                case "hidden":
                    continue 2;
                    break;
                case "image":
                    $html .= "<div class=\"modify-image-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div></div>";
                    break;
                case "textarea":
                case "texteditor":
                    $html .= "<div class=\"modify-editor-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    $html .= "<div class=\"modify-label col-md-12 mb-2\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-12\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div></div>";
                    break;
                case "checkbox":
                    $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    $html .= "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
                    $html .= "</div>";
                    break;
                default:
                    $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div>";
                    break;
            }
        }
    }
    $html .= "</div>";
}

$akey = $key + 2;
if ($akey == $_activeTab) $_class = " active"; else $_class = "";
$html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $akey . "\">";
$html .= "<h4 class=\"title\">" . $el_name . "</h4>";
$html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
$html .= "<legend class=\"mb-lg-0\">" . Text::_("Goods list") . ":</legend>";
$html .= HTMLControls::renderHiddenField("analogEditor_nf", $meta->namestring);
$a_info = ""; //"updateLabel(this,'".$module."','".$view."','getSKU',%s,1)";
$html .= HTMLControls::renderPopupMultySelect("analogEditor", $this->analogList, "", "", "index.php?module=" . $module . "&amp;view=" . $view . "&amp;layout=selector&amp;task=getContList&amp;lol=analogEditor&amp;option=ajax", '', $a_info, false);
$html .= "</fieldset></div>";
$html .= "</div>";

if (is_object($row) && $row->g_type == 5) {
    $akey = $key + 3;
    if ($akey == $_activeTab) $_class = " active"; else $_class = "";
    $html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $akey . "\">";
    $html .= "<h4 class=\"title\">" . $el_name . "</h4>";
    $html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
    $html .= "<legend class=\"mb-lg-0\">" . Text::_("Goods list") . ":</legend>";
    $html .= HTMLControls::renderHiddenField("complectEditor_nf", $meta->namestring);
    $a_info = ""; //"updateLabel(this,'".$module."','".$view."','getSKU',%s,1)";
    $html .= HTMLControls::renderPopupMultySelectWQ("complectEditor", $this->complectList, true, "", "", "", "index.php?module=" . $module . "&amp;view=" . $view . "&amp;layout=selector&amp;task=getContList&amp;lol=complectEditor&amp;option=ajax", '', $a_info, false);
    $html .= "</fieldset></div>";
    $html .= "</div>";
}
$akey = $key + 4;
if ($akey == $_activeTab) $_class = " active"; else $_class = "";
$html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $akey . "\">";
$html .= "<h4 class=\"title\">" . $el_name . "</h4>";
$html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
$html .= "<legend class=\"mb-lg-0\">" . Text::_("Discounts and surcharges list") . ":</legend>";
$html .= HTMLControls::renderHiddenField("discountEditor_nf", $meta->namestring);
$a_info = "updateLabel(this,'" . $module . "','discounts','getSKU',%s,1)";
$html .= HTMLControls::renderPopupMultySelect("discountEditor", $this->discountsList, "", "", "index.php?module=" . $module . "&amp;view=discounts&amp;layout=selector&amp;task=getContList&amp;lol=discountEditor&amp;option=ajax", '', "", false);
$html .= "</fieldset></div>";
$html .= "</div>";

$akey = $key + 5;
if ($akey == $_activeTab) $_class = " active"; else $_class = "";
$html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $akey . "\">";
$html .= "<h4 class=\"title\">" . $el_name . "</h4>";
$html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
$html .= "<legend class=\"mb-lg-0\">" . Text::_("Additional goods") . ":</legend>";
$html .= HTMLControls::renderHiddenField("additionalEditor_nf", $meta->namestring);
$a_info = ""; //"updateLabel(this,'".$module."','".$view."','getSKU',%s,1)";
$html .= HTMLControls::renderPopupMultySelect("additionalEditor", $this->additionalList, "", "", "index.php?module=" . $module . "&amp;view=" . $view . "&amp;layout=selector&amp;task=getContList&amp;lol=additionalEditor&amp;option=ajax", '', $a_info, false);
$html .= "</fieldset></div>";
$html .= "</div>";

$html .= "</div>"; //tab-content
$html .= "<div class=\"modify-buttons buttons\">";
$html .= HTMLControls::renderHiddenField("activeTab", $_activeTab);
$html .= $frm->renderInputPart("save");
$html .= $frm->renderInputPart("apply");
$html .= $frm->renderInputPart("add_clone");
$html .= $frm->renderInputPart("add_new");
$html .= $frm->renderInputPart("cancel");
$html .= "</div>"; // modify-buttons buttons
$html .= $frm->endLayout();
$html .= "</div>";
Portal::getInstance()->addScriptDeclaration($le_script);
echo $html;
?>