<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$form = new aForm("import_form");
$form->addInput(array("ID" => "module", "TYPE" => "hidden", "NAME" => "module", "VAL" => "catalog"));
$form->addInput(array("ID" => "view", "TYPE" => "hidden", "NAME" => "view", "VAL" => "import"));
$form->addInput(array("ID" => "step", "TYPE" => "hidden", "NAME" => "step", "VAL" => 3));
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "submit", "VAL" => Text::_("Upload"), "ID" => "doit", "NAME" => "doit"));

?>
<div class="catalog-manager rounded-pan rounded-pan-mini">
    <?php $form->StartLayout(); ?>
    <h4 class="title"><?php echo Text::_("Import catalog data"); ?></h4>
    <div class="row mb-3">
        <div class="col-lg-12">
            <p class="error"><?php echo Text::_("Make backup first") . "!!!"; ?></p>
        </div>
    </div>
    <div class="buttons">
        <?php $form->renderInputPart("step"); ?>
        <?php $form->renderInputPart("doit"); ?>
    </div>
    <?php $form->endLayout(); ?>
</div>
