<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: be645bd2 (2024-10-08 02:47:47)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogViewOptionvals_data extends SpravView {
	//
	public function renderSprav(&$meta, &$rows, $column_class="", $is_tree = false){
		$reestr = Module::getInstance()->get('reestr');
		$multy_code= $reestr->get('multy_code', 0);
		$title1=Module::getInstance()->getModel()->getOptionName($multy_code);
		$title2=Module::getInstance()->getModel()->getGoodsName($multy_code);
		$reestr->set('dop_head',"&quot;".$title1."&quot; ".Text::_("for")." ".$title2);
		parent::renderSprav($meta, $rows, $column_class, $is_tree);
	}
	public function getOptionName($psid,$row){
		$reestr = Module::getInstance()->get('reestr');
		$multy_code = $reestr->get('multy_code');
		return Module::getInstance()->getModel()->getOptionName($multy_code);
	}
	public function modify($row){
		parent::modify($row);
	}	
	
}

?>