<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 768f2206 (2023-04-26 02:04:05)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Comments types",
        "tablename" => "comms_types",
        "keystring" => "ct_id",
        "namestring" => "ct_title",
        // "alias_field" => "",
        "enabled" => "ct_enabled",
        "deleted" => "ct_deleted",
        "multy_field" => "ct_cgrp_id",
        // "ordering_field" => "",
        "parent_table" => "comms_grp",
        "parent_name" => "cg_name",
        "parent_view" => "groups",
        "parent_code" => "cg_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "comtypes", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "comtypes"),
        "modify" => array("show" => 1, "view" => "comtypes", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "comtypes", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "comtypes", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'ct_id', 'ct_cgrp_id', 'ct_title', 'ct_enabled', 'ct_deleted'),
        "name" => array(1 => 'ID', 'Group', 'Title', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'int', 'string', 'boolean', 'boolean'),
        "ch_table" => array(1 => "", 2 => "comms_grp"),
        "ch_field" => array(1 => "", 2 => "cg_title"),
        "ch_id" => array(1 => "", 2 => "cg_id"),
        "ch_enabled" => array(1 => "", 2 => "cg_enabled"),
        "ch_deleted" => array(1 => "", 2 => "cg_deleted")
    )
);
?>