<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 768f2206 (2023-04-26 02:04:05)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Comments groups",
        "tablename" => "comms_grp",
        "keystring" => "cg_id",
        "namestring" => "cg_module",
        "enabled" => "cg_enabled",
        "deleted" => "cg_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "groups", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "groups"),
        "modify" => array("show" => 1, "view" => "groups", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "groups", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "groups", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "uni_buttons" => array(
        "list_types" => array(
            "title" => "Comments types",
            "alt" => 'F',
            "view" => 'comtypes',
            "module" => 'comments',
            "position" => "right",
            "alert" => "Elements are not chosen"
        ),
        "list_cats" => array(
            "title" => "Comments categories",
            "alt" => 'F',
            "view" => 'comcat',
            "module" => 'comments',
            "position" => "right",
            "alert" => "Elements are not chosen"
        )
    ),
    "fields" => array(
        "field" => array(1 => 'cg_id', 'cg_title', 'cg_module', 'cg_view', 'cg_tablename', 'cg_list_limit', 'cg_text_limit', 'cg_bbcode', 'cg_premoderate', 'cg_mailmoder', 'cg_vote_obj', 'cg_vote_comms', 'cg_enabled', 'cg_deleted'),
        "name" => array(1 => 'ID', 'Title', 'Module', 'View', 'Database table', 'List limit', 'Text limit', 'Use BBCode', 'Premoderate', 'Mail moderators', 'Vote objects', 'Vote comments', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'select', 'text', 'text', 'text', 'text', 'checkbox', 'checkbox', 'checkbox', 'checkbox', 'checkbox', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'string', 'int', 'int', 'boolean', 'boolean', 'boolean', 'boolean', 'boolean', 'boolean', 'boolean'),
        "link" => array(2 => 'index.php?module=comments&view=comments&psid=[0]'),
        "link_key" => array(2 => 'id'),
        "link_title" => array(2 => 'Show group comments'),
        "ch_table" => array(1 => "", 3 => "modules"),
        "ch_field" => array(1 => "", 3 => "m_name"),
        "ch_id" => array(1 => "", 3 => "m_name")
    )
);
?>