<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Countries",
        "tablename" => "addr_countries",
        "keystring" => "c_id",
        "namestring" => "c_name",
        // "alias_field" => "",
        "enabled" => "c_enabled",
        "deleted" => "c_deleted",
        "ordering_field" => "c_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "cladr", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "cladr"),
        "modify" => array("show" => 1, "view" => "cladr", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "cladr", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "cladr", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "c_id", "c_name", "c_alpha_2", "c_alpha_3", "c_descr", "c_ordering", "c_enabled", "c_deleted"),
        "name" => array(1 => "ID", "Title", "Alpha 2 code", "Alpha 3 code", "Description", "Ordering", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "text", "text", "text", "textarea", "text", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "string", "string", "string", "text", "int", "boolean", "boolean"),
        "link" => array(2 => "index.php?module=conf&view=cladr&layout=regions&psid=[0]"),
        "link_title" => array(2 => 'Show regions'),
        "link_key" => array(2 => "id"),
        "link_type" => array(2 => ""),
        "view" => array(1 => 0, 1, 1, 1, 1, 1, 1, 0)
    )
);
?>