<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Districts/Towns",
        "tablename" => "addr_districts",
        "keystring" => "d_id",
        "namestring" => "d_name",
        "enabled" => "d_enabled",
        "deleted" => "d_deleted",
        "multy_field" => "d_parent_id",
        "ordering_field" => "d_ordering",
        "parent_view" => "cladr.regions"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "cladr", "layout" => "districts", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "cladr", "layout" => "districts"),
        "modify" => array("show" => 1, "view" => "cladr", "layout" => "districts", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "cladr", "layout" => "districts", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "cladr", "layout" => "districts", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "d_id", "d_parent_id", "d_name", "d_long", "d_lat", "d_show_on_map", "d_ordering", "d_enabled", "d_deleted"),
        "name" => array(1 => "ID", "Region", "Title", "Longitude", "Latitude", "Show on map", "Ordering", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "select", "text", "text", "text", "checkbox", "text", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "int", "string", "float", "float", "boolean", "int", "boolean", "boolean"),
        "link" => array(3 => "index.php?module=conf&view=cladr&layout=localities&psid=[0]"),
        "link_title" => array(3 => 'Show localities'),
        "link_key" => array(3 => "id"),
        "link_type" => array(3 => ""),
        "view" => array(1 => 0, 0, 1, 1, 1, 1, 1, 1, 0),
        "ch_table" => array(1 => "", 2 => "addr_regions",),
        "ch_field" => array(1 => "", 2 => "r_name",),
        "ch_id" => array(1 => "", 2 => "r_id",),
    )
);
?>