<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Regions",
        "tablename" => "addr_regions",
        "keystring" => "r_id",
        "namestring" => "r_name",
        "enabled" => "r_enabled",
        "deleted" => "r_deleted",
        "multy_field" => "r_parent_id",
        "ordering_field" => "r_ordering",
        "parent_view" => "cladr"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "cladr", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "cladr", "layout" => "regions"),
        "modify" => array("show" => 1, "view" => "cladr", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "cladr", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "cladr", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "r_id", "r_parent_id", "r_name", "r_ordering", "r_enabled", "r_deleted"),
        "name" => array(1 => "ID", "Country", "Title", "Ordering", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "select", "text", "text", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "int", "string", "int", "boolean", "boolean"),
        "link" => array(3 => "index.php?module=conf&view=cladr&layout=districts&psid=[0]"),
        "link_title" => array(3 => 'Show districts/towns'),
        "link_key" => array(3 => "id"),
        "link_type" => array(3 => ""),
        "view" => array(1 => 0, 0, 1, 1, 1, 0),
        "ch_table" => array(1 => "", 2 => "addr_countries",),
        "ch_field" => array(1 => "", 2 => "c_name",),
        "ch_id" => array(1 => "", 2 => "c_id",),
    )
);
?>