<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of currencies",
        "tablename" => "currency",
        "keystring" => "c_id",
        "namestring" => "c_name",
        "enabled" => "c_enabled",
        "deleted" => "c_deleted"
    ),
    "buttons" => array(
        "new"=>array("show"=>1,"view"=>"currency","task"=>"modify"),
        "filter"=>array("show"=>1,"view"=>"currency"),
        "modify"=>array("show"=>1,"view"=>"currency","task"=>"modify"),
        "delete"=>array("show"=>1,"view"=>"currency","task"=>"delete"),
        "undelete"=>array("show"=>1,"view"=>"currency","task"=>"delete"),
        "trash"=>array("show"=>1,"link"=>false)
    ),
    "fields" => array(
        "field"=>array(1=>'c_id','c_code','c_name','c_short_name','c_enabled','c_deleted'),
        "name"=>array(1=>'ID','Code','Name','Short name','Enabled','Deleted'),
        "input_type"=>array(1=>'hidden','text','text','text','checkbox','hidden'),
        "val_type"=>array(1=>'int','string','string','string','boolean','boolean'),
        "check_value"=>array(2=>3),
        "link"=>array(3=>'index.php?module=conf&view=currency_rate&psid=[0]'),
        "link_title" => array(3=>'Show currency rates'),
        "link_key"=>array(3=>'$id'),
        "link_type"=>array(3=>'')
    )
);
?>