<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of currency rates",
        "tablename" => "currency_rate",
        "keystring" => "cr_id",
        "multy_field" => "c_id",
        "keysort" => "c_datetime",
        "parent_view" => "currency",
        "parent_code" => "c_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "currency_rate", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "currency_rate"),
        "modify" => array("show" => 1, "view" => "currency_rate", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "currency_rate", "task" => "deleteNow"),
        "undelete" => array("show" => 0, "view" => "currency_rate", "task" => "delete"),
        "trash" => array("show" => 0, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'cr_id', 'c_id', 'c_datetime', 'c_value'),
        "sort_order" => array(3 => "DESC"),
        "name" => array(1 => 'ID', 'Currency', 'Starts from', 'Rate in base currency'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'datetime_ajax', 'text'),
        "val_type" => array(1 => 'int', 'int', 'datetime', 'string'),
        "default_value" => array(3 => "NOW"),
        "ch_table" => array(2 => "currency"),
        "ch_field" => array(2 => "c_name"),
        "ch_id" => array(2 => "c_id")
    )
);
?>