<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of measures",
        "tablename" => "measure",
        "keystring" => "meas_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "meas_enabled",
        "deleted" => "meas_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "measures", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "measures"),
        "modify" => array("show" => 1, "view" => "measures", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "measures", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "measures", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)

    ),
    "fields" => array(
        "field" => array(1 => 'meas_id', 'meas_code', 'meas_short_name', 'meas_full_name', 'meas_comment', 'meas_kf', 'meas_type', 'meas_enabled', 'meas_deleted'),
        "descr" => array(6 => "Conversion coefficient must be equals to amount of main measure in selected measures"),
        "name" => array(1 => 'Id', 'Code', 'Short name', "Full name", "Comments", 'Conversion coefficient', 'Type', "Enabled", "Deleted"),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'text', 'text', 'text', 'select', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'string', 'float', 'int', 'boolean', 'boolean'),
        "check_value" => array(2 => 3),
        "ck_reestr" => array(7 => "measure_type")
    )
);
?>