<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Payment types",
        "tablename" => "pts_active",
        "keystring" => "pt_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "pt_enabled",
        "deleted" => "pt_deleted",
        "keycurrency" => "pt_currency",
        "ordering_field" => "pt_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "paymenttypes", "task" => "newPTS"),
        "filter" => array("show" => 1, "view" => "paymenttypes"),
        "modify" => array("show" => 1, "view" => "paymenttypes", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "paymenttypes", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "paymenttypes", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "paymenttypes", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "paymenttypes", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "paymenttypes", "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "pt_id", "pt_title", "pt_price", "pt_currency", "pt_name",
            "pt_module", "pt_set_status", "pt_logo", "pt_params", "pt_comments",
            "pt_ordering", "pt_debug", "pt_admin_only", "pt_enabled", "pt_deleted"),
        "name" => array(1 => "Id", "Name", "Price", "Currency", "Template",
            "Module", "Set status after complete", "Logo", "Params", "Comments",
            "Ordering", "Debug mode on", "Admin only", "Enabled", "Deleted"),
        "input_type" => array(1 => "hidden", "text", "text", "select", "label",
            "label", "select", "image", "text", "textarea",
            "text", "checkbox", "checkbox", "checkbox", "hidden"),
        "val_type" => array(1 => "int", "string", "currency", "int", "string",
            "string", "int", "string", "string", "text",
            "int", "boolean", "boolean", "boolean", "boolean"),
        "default_value" => array(4 => DEFAULT_CURRENCY),
        "update_type" => array(9 => 0),
        "upload_path" => array(8 => "pts"),
        "check_value" => array(4 => 1),
        "ch_table" => array(4 => "currency", 7 => "orders_status"),
        "ch_field" => array(4 => "c_name", 7 => "os_name"),
        "ch_id" => array(4 => "c_id", 7 => "os_id"),
        "ch_enabled" => array(4 => "c_enabled", 7 => "os_enabled"),
        "ch_deleted" => array(4 => "c_deleted", 7 => "os_deleted")
    )
);
?>