<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of plugins",
        "tablename" => "plugins",
        "keystring" => "p_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "p_enabled",
        "deleted" => "p_deleted",
        "ordering_field" => "p_ordering"
    ),
    "buttons" => array(
        "modify" => array("show" => 1, "view" => "plugins", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "plugins", "task" => "reorder"),
    ),
    "fields" => array(
        "field" => array(1 => 'p_id', 'p_path', 'p_name', 'p_params', 'p_ordering', 'p_enabled', 'p_deleted'),
        "view" => array(1 => 0, 1, 1, 0, 1, 0),
        "link" => array(3 => "index.php?module=conf&view=plugins&task=modify&psid=[0]&page=[1]&sort=[2]&orderby=[3]"),
        "link_title" => array(3 => 'Modify'),
        "link_key" => array(3 => 'id, page, sort, orderby'),
        "name" => array(1 => 'ID', 'Path', 'Plugin name', 'Params', 'Work order', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'label', 'label', 'text', 'text', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'int', 'boolean', 'boolean')
    )
);
?>