<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "List of taxes",
        "tablename" => "taxes",
        "keystring" => "t_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "t_enabled",
        "deleted" => "t_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "taxes", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "taxes"),
        "modify" => array("show" => 1, "view" => "taxes", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "taxes", "task" => "deleteTax"),
        "undelete" => array("show" => 1, "view" => "taxes", "task" => "deleteTax"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 't_id', 't_name', 't_value', 't_comment', 't_enabled', 't_deleted'),
        "name" => array(1 => 'Code', 'Name', "Tax value", "Comments", "Enabled", "Deleted"),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'textarea', 'checkbox', 'hidden'),
        "val_type" => array(1 => 'int', 'string', 'float', 'text', 'boolean', 'boolean'),
    )
);
?>