<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Template zones",
        "tablename" => "template_zones",
        "keystring" => "tz_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "tz_enabled",
        "deleted" => "tz_deleted",
        "ordering_field" => "tz_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "tmplzones", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "tmplzones"),
        "modify" => array("show" => 1, "view" => "tmplzones", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "tmplzones", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "tmplzones", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "tmplzones", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'tz_id', 'tz_name', 'tz_descr', 'tz_ordering', 'tz_enabled', 'tz_deleted'),
        "name" => array(1 => 'ID', 'Name', 'Description', 'Ordering', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'text', 'checkbox', 'hidden'),
        "default_value" => array(9 => "NOW"),
        "val_type" => array(1 => 'int', 'string', 'string', 'int', 'boolean', 'boolean'),
        "view" => array(1 => 0, 1, 1, 1, 1, 0),
    )
);
?>