<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4e1f9281 (2024-07-29 09:57:38)
// 

use ArfaCMS\Core\orderDelivery;
use ArfaCMS\Core\Files;
use ArfaCMS\Core\Params;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class confModelDeliverytypes extends SpravModel {
	public function getParamsMask($elem) {
        $obj =  orderDelivery::getDeliveryClass(false, $elem);
        if (!$obj) $obj=new orderDelivery($elem); // @TODO Check, may be useful
        return $obj->getParamsMask();
    }
	public function saveParams($id,$def_params,$params) {
		$_params = Params::intersect($params, $def_params);
		$query = "UPDATE #__dts_active SET dt_params='".$_params."' WHERE dt_id=".$id;
		$this->_db->setQuery($query);
		return $this->_db->query();
	}
	public function saveNewDTS($tmpl_name, $module_name){
		$sql = "INSERT INTO #__dts_active (dt_title, dt_price, dt_currency, dt_name, dt_module, dt_params, dt_enabled, dt_deleted )	
				VALUES('', 0, ".\catalogConfig::$default_currency.", '".$tmpl_name."', '".$module_name."', '', 0, 0)";
		$this->_db->setQuery($sql);

        if ($this->_db->query()) return $this->_db->insertid();
        return false;
	}
}
?>