<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4565f89c (2022-09-04 20:02:20)
// 

use ArfaCMS\Core\orderPayment;
use ArfaCMS\Core\Files;
use ArfaCMS\Core\Params;
use ArfaCMS\Core\Util;
use ArfaCMS\DB\Database;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class confModelPaymenttypes extends SpravModel {
	public function getParamsMask($elem) {
        $obj =  orderPayment::getPaymentClass(false, $elem);
        if (!$obj) $obj=new orderPayment($elem); // @TODO Check, may be useful
        return $obj->getParamsMask();
	}
	public function saveParams($id,$def_params,$params) {
		$_params = Params::intersect($params, $def_params);
		$query = "UPDATE #__pts_active SET pt_params='".$_params."' WHERE pt_id=".$id;
		$this->_db->setQuery($query);
		return $this->_db->query();
	}
	public function saveNewPTS($tmpl_name, $module_name){
		$sql = "INSERT INTO #__pts_active (pt_title, pt_price, pt_currency, pt_name, pt_module, pt_params, pt_enabled, pt_deleted )	
    			VALUES('', 0, ".\catalogConfig::$default_currency.", '".$tmpl_name."', '".$module_name."', '', 0, 0)";
        $this->_db->setQuery($sql);

        if ($this->_db->query()) return $this->_db->insertid();
        return false;
	}
}
?>