<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 3f2deffa (2023-01-23 22:31:34)
// 

use ArfaCMS\Core\Params;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Widget;
use ArfaCMS\DB\Database;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class confModelWidgets extends SpravModel {

	public function saveNewWidget($w_name){
		$db=Database::getInstance();
		$sql_txt="INSERT INTO #__widgets_active(aw_name,aw_title,aw_zone,aw_title_link,aw_class,aw_config,aw_access,aw_visible_in,aw_content) values ('".htmlspecialchars($w_name)."','".Text::_($w_name." widget")."','top-left','','','',0,'','')";
		$db->setQuery($sql_txt);
		if ($db->query()) $res=$db->insertid(); else $res=false;
		return $res;
	}
	public function getRequiredDisabledModules($widgetName){
		return Widget::getInstance($widgetName)->getRequiredDisabledModules();
	}
	public function getWidgetParams($widgetName){
		return Widget::getInstance($widgetName)->getParamsMask();
	}
	public function hideWidgetContentParam($widgetName){
		return Widget::getInstance($widgetName)->hideContentParam();
	}
	public function saveWidgetParams($w_id, $params, $def_params, $w_access, $w_visibility) {
		if(isset($params["Widget_ID"]) && !$params["Widget_ID"]) $params["Widget_ID"]="widget_".$w_id;
		$aw_config = Params::intersect($params, $def_params);
		$query = "UPDATE #__widgets_active SET aw_config='".$aw_config
						."', aw_access='".$w_access
						."', aw_visible_in='".$w_visibility
						."' WHERE aw_id=".$w_id;
		$this->_db->setQuery($query);
		return $this->_db->query();
	}
}

?>