<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4b12ff90 (2023-08-30 03:47:10)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Field values",
        "tablename" => "feedback_fields_choices",
        "keystring" => "fc_id",
        "namestring" => "fc_value",
        // "alias_field" => "",
        "enabled" => "fc_enabled",
        "deleted" => "fc_deleted",
        "multy_field" => "fc_field_id",
        "ordering_field" => "fc_ordering",
        "parent_view" => "fields",
        "parent_code" => "fld_id",
        "use_view_rights" => "forms"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "fields_choices", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "fields_choices"),
        "modify" => array("show" => 1, "view" => "fields_choices", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "fields_choices", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "fields_choices", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "fields_choices", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "fields_choices", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "fields_choices", "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'fc_id', 'fc_field_id', 'fc_value', 'fc_ordering', 'fc_enabled', 'fc_deleted'),
        "name" => array(1 => 'ID', 'Field', 'Value', 'Ordering', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'text', 'checkbox', 'hidden'),
        "view" => array(1 => 1, 0, 1, 1, 1, 0),
        "val_type" => array(1 => 'int', 'int', 'string', 'int', 'boolean', 'boolean'),
        "link" => array(3 => 'index.php?module=feedback&view=fields_choices&task=modify&psid=[0]&multy_code=[1]&sort=[2]&page=[3]&orderby=[4]'),
        "link_key" => array(3 => 'id,multy_code,sort,page,orderby'),
        "default_value" => array(5 => 1),
        "ch_table" => array(2 => "feedback_fields"),
        "ch_field" => array(2 => "fld_name"),
        "ch_id" => array(2 => "fld_id"),
    )
);
?>