<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 851c54d8 (2023-08-29 18:56:53)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Feedback forms",
        "tablename" => "feedback_forms",
        "keystring" => "frm_id",
        "namestring" => "frm_name",
        "alias_field" => "frm_alias",
        "enabled" => "frm_enabled",
        "deleted" => "frm_deleted",
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "forms", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "forms"),
        "modify" => array("show" => 1, "view" => "forms", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "forms", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "forms", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'frm_id', 'frm_name', 'frm_alias', 'frm_prefix', 'frm_postfix',
            'frm_email', 'frm_email_theme', 'frm_captcha', 'frm_agreed', 'frm_template',
            'frm_enabled', 'frm_deleted'
        ),
        "name" => array(1 => 'ID', 'Form name', 'Alias', 'Form prefix text', 'Form postfix text',
            'Emails', 'E-mail theme','Enable captcha', 'Enable agreed', 'Template',
            'Enabled', 'Delete mark'
        ),
        "descr" => array(6 => "Separate by semicolon"),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'texteditor', 'texteditor',
            'text', 'text', 'checkbox', 'checkbox', 'select',
            'checkbox', 'hidden'
        ),
        "val_type" => array(1 => 'int', 'string', 'string', 'text', 'text',
            'string', 'string', 'boolean', 'boolean', 'string',
            'boolean', 'boolean'
        ),
        "view" => array(1 => 1, 1, 1, 0, 0, 1, 0, 1, 1, 1, 1, 0),
        "check_value" => array(2 => 1, 3 => 3, 10 => 1),
        "ck_reestr" => array(10 => 'feedback_tmpl'),
        "link" => array(2 => 'index.php?module=feedback&view=forms&task=modify&psid=[0]&sort=[1]&page=[2]&orderby=[3]', 3 => 'index.php?module=feedback&view=fields&psid=[0]'),
        "link_title" => array(2 =>'Modify', 3 => 'Form fields'),
        "link_key" => array(2 => 'id,sort,page,orderby', 3 => 'id'),
    )
);
?>