<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 81b31610 (2023-08-29 20:19:09)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Feedbacks list",
        "tablename" => "feedback_messages",
        "keystring" => "f_id",
        // "namestring" => "",
        // "alias_field" => "",
        "deleted" => "f_deleted",
        "keysort" => "f_date"
    ),
    "buttons" => array(
        "filter" => array("show" => 1, "view" => "messages"),
        "modify" => array("show" => 1, "view" => "messages", "task" => "modifyMessage"),
        "delete" => array("show" => 1, "view" => "messages", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "messages", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'f_id', 'f_form_title', 'f_date', 'f_read', 'f_readdate',
            'f_sender', 'f_uid', 'f_ip', 'f_data', 'f_sent',
            'f_comments', 'f_deleted'
        ),
        "name" => array(1 => 'ID', 'Form title',  'Date', 'Is read', 'Read date',
            'Sender', 'User login', 'IP', 'Form data', 'Sent',
            'Comment for user', 'Delete mark'
        ),
        "input_type" => array(1 => 'hidden', 'label', 'label',  'label', 'label',
            'label', 'label_sel', 'label', 'formated', 'label',
            'texteditor', 'hidden'
        ),
        "val_type" => array(1 => 'int', 'string', 'datetime', 'boolean', 'datetime',
            'string', 'int', 'string', 'text', 'boolean',
            'text', 'boolean'
        ),
        "update_type" => array(1 => 0, 0, 0, 0, 0,
            0, 0, 0, 0, 0,
            1, 0
        ),
        "view" => array(1 => 0, 1, 1, 1, 1,
            1, 0, 1, 0, 1,
            0, 0
        ),
        "filter" => array(1 => 0, 1, 1, 1, 1,
            1, 0, 1, 0, 1,
            0, 0
        ),
        "sort_order" => array(3 => "DESC"),
        "link" => array(3 => 'index.php?module=feedback&view=messages&layout=default&task=modifyMessage&psid=[0]'),
        "link_key" => array(3 => 'id'),
        "ch_table" => array(7 => 'users'),
        "ch_field" => array(7 => 'u_login'),
        "ch_id" => array(7 => 'u_id')
    )
);
?>