<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 81b31610 (2023-08-29 20:19:09)
// 

use ArfaCMS\Core\User;
use ArfaCMS\MVC\Model;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackModelMessages extends Model {
	public function getMyMessages($limit = 100) {
        if(!User::getInstance()->isLoggedIn()) return array();
        $sql = "SELECT * FROM #__feedback_messages";
        $sql.= " WHERE f_uid=".User::getInstance()->getID();
        $sql.= " ORDER BY f_date DESC";
        if($limit) $sql.= " LIMIT ".$limit;
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();		
	}
}
?>