<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6640751d (2023-03-29 13:28:03)
// 

defined('_ARFACMS_VALID') or die("Access denied");

class forumModuleParams{
	public static function _proceed(&$module){
		$module->addParam("short_theme_length", "integer", 50);
		$module->addParam("exclude_forums_from_map", "table_multiselect", 0, false, "SELECT f_id AS fld_id, CONCAT('(',f_id,') ',f_name) AS fld_name FROM #__forum_sections WHERE f_deleted=0 ORDER BY fld_name");
	}
}
?>