<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c6c24934 (2024-10-09 16:25:53)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<div class="minihelp <?php echo Portal::getInstance()->noTemplate() ? "" : "rounded-pan rounded-pan-medium"; ?>">
    <h1 class="title main-title"><?php echo Text::_("Help on Arfa-CMS"); ?></h1>
    <h4 class="title"><a target="_blank" href="https://arfa-cms.ru/article/dokumentatsiya.html"><?php echo Text::_("Documentation on our site"); ?></a></h4>
    <h4 class="title"><a target="_blank" href="https://arfa-cms.ru/forum.html"><?php echo Text::_("Ask your question on our forum"); ?></a></h4>
    <h4 class="title mb-0"><a target="_blank" href="https://arfa-cms.ru/feedback/message.html"><?php echo Text::_("You can write to us via feedback form"); ?></a></h4>
</div>
