<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 680a4453 (2023-07-28 15:46:25)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Sprav\SpravController;

defined('_ARFACMS_VALID') or die("Access denied");

class menusControllerDefault extends SpravController {

	public function ajaxGetViewsSelector(){
		$modname   = Request::getSafe('modname', false); 					// ид верхней группы
		$view = $this->getView();
		$view->assign("modname",$modname);
		$view->assign("vname","");
		echo $view->getViewsList();
	}

	public function ajaxGetControllersSelector(){
		$modname   = Request::getSafe('modname', false); 					// ид верхней группы
		$view = $this->getView();
		$view->assign("modname",$modname);
		$view->assign("vcontroller","");
		echo $view->getControllersList();
	}
	
	public function showItems(){
		$this->showData();
	}

	public function save(){
		$mi_access_all = Request::getSafe("mi_access_all","off");
		if ($mi_access_all == "off") {
			$mi_access_arr = Request::getSafe("mi_access",array());
			$mi_access = "";
			foreach ($mi_access_arr as $role=>$on) {
				$mi_access .= "$role;";
			}
			$mi_access = mb_substr($mi_access,0,mb_strlen($mi_access,DEF_CP) - 1,DEF_CP);
		}	else $mi_access = "all";
		$_REQUEST['mi_access']=$mi_access;
		parent::save();
	}

}
?>