<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 9c077540 (2023-09-16 21:26:01)
// 

use ArfaCMS\Core\User;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class ordersModelOrders extends SpravModel {

	public function getStatuses(){
		$sql="SELECT * FROM #__orders_status WHERE os_enabled=1 AND os_deleted=0 ORDER BY os_id ASC";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList('os_id');
	}
	public function getOrders(){
		$user_id = User::getInstance()->getId();
		if($user_id) {
			$sql="SELECT * FROM #__orders WHERE o_uid=".$user_id." ORDER BY o_date DESC,o_id DESC";
			$this->_db->setQuery($sql);
			return $this->_db->loadObjectList();
		} else {
			return array();
		}
	}
	public function getAbstractOrder($order_id){
		$sql="SELECT * FROM #__orders WHERE o_id=".$order_id;
		$this->_db->setQuery($sql);
		$this->_db->loadObject($res);
		return $res;
	}
	public function getOrder($order_id, $order_hash){
		$user_id=User::getInstance()->getID();
		if ($user_id) {
			$sql="SELECT * FROM #__orders WHERE o_uid=".$user_id." AND o_id=".$order_id;
			$this->_db->setQuery($sql);
			$this->_db->loadObject($res);
			return $res;
		} elseif ($order_hash) {
			$sql="SELECT * FROM #__orders WHERE o_hash='".$order_hash."' AND o_id=".$order_id;
			$this->_db->setQuery($sql);
			$this->_db->loadObject($res);
			return $res;
		} else {
			return null;
		}
	}
	public function getOrderItems($order_id){
		$sql="SELECT * FROM #__orders_items WHERE i_order_id=".$order_id;
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();
	}
}
?>