<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Poll items",
        "tablename" => "poll_items",
        "keystring" => "pi_id",
        // "namestring" => "",
        // "alias_field" => "",
        "deleted" => "pi_deleted",
        "multy_field" => "pi_poll_id",
        "ordering_field" => "pi_ordering",
        "parent_view" => "polls",
        "parent_code" => "p_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "items", "task" => "modify"),
        "modify" => array("show" => 1, "view" => "items", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "items", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'pi_id', 'pi_poll_id', 'pi_text', 'pi_hits', 'pi_ordering', 'pi_deleted'),
        "name" => array(1 => 'ID', 'Poll', 'Title', 'Poll item hits', 'Ordering', 'Delete mark'),
        "val_type" => array(1 => 'int', 'int', 'string', 'int', 'int', 'boolean'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'label', 'text', 'hidden'),
        "ch_table" => array(2 => "polls"),
        "ch_field" => array(2 => "p_title"),
        "ch_id" => array(2 => "p_id")
    )
);
?>