<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Polls",
        "tablename" => "polls",
        "keystring" => "p_id",
        "namestring" => "p_title",
        // "alias_field" => "",
        "enabled" => "p_enabled",
        "deleted" => "p_deleted"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "polls", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "polls"),
        "modify" => array("show" => 1, "view" => "polls", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "polls", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "polls", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'p_id', 'p_title', 'p_alias', 'p_lag', 'p_startdate', 'p_enddate', 'p_comments', 'p_deleted', 'p_enabled'),
        "name" => array(1 => 'ID', 'Title', 'Alias', 'Lag', 'Poll start date', 'Poll end date', 'Comments', 'Deleted', 'Published'),
        "link" => array(2 => "index.php?module=polls&view=items&psid=[0]"),
        "link_key" => array(2 => 'id'),
        "link_title" => array(2 => 'Show poll items'),
        "val_type" => array(1 => 'int', 'string', 'string', 'int', 'datetime', 'datetime', 'text', 'boolean', 'boolean'),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'text', 'datetime_ajax', 'datetime_ajax', 'texteditor', 'hidden', 'checkbox'),
    )
);
?>