<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 03acea51 (2024-10-09 21:43:56)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied"); ?>

<div class="service-manager rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Check ACL objects"); ?></h4>
    <div class="row">
        <div class="col-lg-12">
            <?php
            if (count($this->message)) {
                foreach ($this->message as $message) {
                    echo "<p class=\"error\">" . $message . "</p>";
                }
            } else {
                echo "<p class=\"ok\">" . Text::_("Everything is ОК") . "</p>";
            }
            ?>
        </div>
    </div>
</div>