<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 96247043 (2024-10-09 21:38:40)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="service-manager rounded-pan rounded-pan-mini">
    <?php if (\backofficeConfig::$updatesBetaChannel) { ?>
        <h4 class="title"><span class="text-danger"><?php echo Text::_("Beta updates channel") ?></span></h4>
        <p align="center" class="text-danger"><?php echo Text::_("Beta updates channel is for testing ONLY") . ". " . Text::_("We dont quarantee the correct working of your CMS while using it") . "."; ?></p>
    <?php } else { ?>
        <h4 class="title"><?php echo Text::_("Main updates channel") ?></h4>
    <?php } ?>
    <h4 class="title"><?php echo Text::_("Automatic update") ?></h4>
    <div class="row mb-3">
        <div class="col-lg-12 text-danger">
            <?php
            echo "<h3 style=\"font-weight:bold; text-align:center;\">" . Text::_("Attention") . "!</h3>";
            echo Text::_("You must make full backup of your site and database before you continue") . ".<br />";
            echo Text::_("Automatic update may cause harm to your site and database") . "!<br /><br />";
            echo Text::_("You use it at own risk") . "!<br /><br />";
            echo Text::_("We do not incur responsibility for") . " ";
            echo Text::_("any moral costs or commercial losses connected with") . " <br />";
            echo Text::_("use of automatic updating") . " !!!<br /><br />";
            echo Text::_("By pressing CONTINUE button you completely agree with the above-stated conditions") . " ";
            echo Text::_("and take all risks up") . " !!!<br />";
            ?>
        </div>
    </div>
    <div class="buttons text-center">
        <!--
        <a target="_blank" class="linkButton btn btn-primary" href="index.php?module=service&amp;view=db&amp;layout=export"><?php echo Text::_("Create DB backup"); ?></a>
        -->
        <a class="linkButton btn btn-primary singleclick" href="index.php?module=service&amp;task=downloadUpdates"><?php echo Text::_("Continue"); ?></a>
        <a class="linkButton btn btn-primary" href="index.php?module=service&amp;view=updater"><?php echo Text::_("Close"); ?></a>
    </div>
</div>