<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fd5372c1 (2024-10-09 16:49:01)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="service-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_("Clear users filters"); ?></h4>
    <div id="filters" class="d-flex justify-content-between">
        <?php
        echo "<div class=\"col-sm-10 col-md-11 align-self-center\">" . Text::_("Found filter records") . " : " . $this->filtercount . "</div>";
        echo "<div class=\"col-sm-2 col-md-1\"><a class=\"btn btn-danger\" href=\"index.php?module=service&amp;task=clearUserFilter\" onclick=\"javascript:if(confirm('" . Text::_("Do you want to clear all filters") . " ?'))return true; else return false;\" title=\"" . Text::_("Clear") . "\"><i class=\"bi bi-trash text-center d-block\"></i></a></div>";
        ?>
    </div>
</div>
