<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1e0aa1a2 (2024-09-28 19:39:35)
// 

use ArfaCMS\MVC\Controller;

defined('_ARFACMS_VALID') or die("Access denied");

class siteControllerDefault extends Controller
{

    public function __construct($name, $module)
    {
        parent::__construct($name, $module);
    }

    public function showMap()
    {
        $model = $this->getModel();
        $view = $this->getView();
        $links = $model->getLinksArr();
        $view->assign("links", $links);
    }
}

?>