<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1e0aa1a2 (2024-09-28 19:39:35)
// 

use ArfaCMS\Core\ACLObject;
use ArfaCMS\MVC\Model;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class siteModelMap extends Model
{

    function getLinksArr()
    {
        $_arr = array();
        $i = 0;
        $arr_name = Module::getInstalledModules(true, true);
        foreach ($arr_name as $module) { // на всякий случай проверяем существует ли модуль на фронте
            if (file_exists(PATH_MODULES . $module . DS . 'module.php')) {
                if (ACLObject::getInstance($module . 'Module', false)->canAccess()) {
                    $_arr[$module] = Module::getInstance($module)->getSitemapHTML();
                }
            }
        }
        return $_arr;
    }

}

?>