<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
    <h1 class="title"><?php echo Text::_("Site map"); ?></h1>
<?php
if (count($this->links) > 0) {
    echo '<div class="site-map"><div class="row">';
    foreach ($this->links as $module => $data) {
        if ($data["html"]) {
            echo '<div class="col-sm-6"><div class="map-block map-' . $module . '">';
            echo '<h2 class="title">';
            if ($data["title_link"]) echo '<a href="' . Router::_("index.php?module=" . $module) . '">';
            echo Text::_($module);
            if ($data["title_link"]) echo '</a>';
            echo '</h2>';
            echo $data["html"];
            echo '</div></div>';
        }
    }
    echo '</div></div>';
}
?>