<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0f92c18d (2022-08-23 02:06:48)
// 

use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class userModelUsers extends SpravModel {

	public function cleanRecords()	{
		if (parent::cleanRecords()){
			$query = "DELETE FROM #__users_addr WHERE a_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__users_bank WHERE b_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__users_company WHERE c_id NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__profiles WHERE pf_id NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "UPDATE #__users_vendors SET uv_uid=0 WHERE uv_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$this->_db->setQuery($query); if(!$this->_db->query_batch(true,true)) return false;
			return true;
		} else  return false;
	}
}
?>