<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Videos",
        "tablename" => "videoset_videos",
        "keystring" => "v_id",
        // "namestring" => "",
        "alias_field" => "v_alias",
        "enabled" => "v_published",
        "deleted" => "v_deleted",
        "multy_field" => "v_gallery_id",
        "ordering_field" => "v_ordering",
        "parent_view" => "items",
        "parent_code" => "vg_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "videos", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "videos"),
        "modify" => array("show" => 1, "view" => "videos", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "videos", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "videos", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "videos", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'v_id', 'v_gallery_id', 'v_title', 'v_image', 'v_alias',
            'v_video_youtube', 'v_video_ogg', 'v_video_mp4', 'v_video_webm', 'v_comment',
            'v_published', 'v_ordering', 'v_deleted',
            'v_meta_title', 'v_meta_description', 'v_meta_keywords'),
        "name" => array(1 => 'ID', 'Gallery', 'Title', 'Image', 'Alias',
            'Video YouTube', 'Video OGG', 'Video MP4', 'Video WEBM', 'Comments',
            'Published', 'Ordering', 'Delete mark',
            'Meta title', 'Meta description', 'Meta keywords'),
        "descr" => array(7 => 'Ogg/Vorbis for old versions Firefox и Opera', 8 => 'MP4 for Safari, IE9, iPhone, iPad, Android, и Windows Phone 7', 9 => 'WebM/VP8 for Firefox4, Opera, and Chrome'),
        "val_type" => array(1 => 'int', 'int', 'string', 'string', 'string',
            'string', 'string', 'string', 'string', 'text',
            'boolean', 'int', 'boolean'
        , 'string', 'text', 'text'),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'image', 'text',
            'text', 'filepath', 'filepath', 'filepath', 'texteditor',
            'checkbox', 'text', 'hidden',
            'text', 'textarea', 'textarea'),
        "upload_path" => array(4 => 'i'),
        "check_value" => array(3 => 1),
        "ch_table" => array(2 => "videoset_galleries"),
        "ch_field" => array(2 => "vg_title"),
        "ch_id" => array(2 => "vg_id")
    )
);
?>