<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Video gallery groups",
        "tablename" => "videoset_groups",
        "keystring" => "vgr_id",
        "namestring" => "vgr_title",
        // "alias_field" => "",
        "enabled" => "vgr_published",
        "deleted" => "vgr_deleted",
        "ordering_field" => "vgr_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "groups", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "groups"),
        "modify" => array("show" => 1, "view" => "groups", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "groups", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "groups", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "groups", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'vgr_id', 'vgr_alias', 'vgr_title', 'vgr_thumb', 'vgr_title_thm', 'vgr_alt_thm', 'vgr_comment', 'vgr_ordering', 'vgr_show_in_list', 'vgr_published', 'vgr_deleted'),
        "name" => array(1 => 'ID', 'Alias', 'Title', 'Thumb', 'Title image', 'Alt image', 'Comments', 'Ordering', 'Show in list', 'Published', 'Deleted'),
        "link" => array(3 => "index.php?module=videoset&view=items&psid=[0]"),
        "link_key" => array(3 => 'id'),
        "link_type" => array(3 => ''),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'string', 'string', 'text', 'int', 'boolean', 'boolean', 'boolean'),
        "input_type" => array(1 => 'hidden', 'text', 'text', 'image', 'text', 'text', 'texteditor', 'text', 'checkbox', 'checkbox', 'hidden'),
        "upload_path" => array(4 => 'groups/thumbs')
    )
);
?>