<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Video galleries",
        "tablename" => "videoset_galleries",
        "keystring" => "vg_id",
        "namestring" => "vg_title",
        // "alias_field" => "",
        "enabled" => "vg_published",
        "deleted" => "vg_deleted",
        "multy_field" => "vg_group_id",
        "ordering_field" => "vg_ordering",
        "parent_view" => "groups",
        "parent_code" => "vgr_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "items", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "items"),
        "modify" => array("show" => 1, "view" => "items", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "items", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'vg_id', 'vg_alias', 'vg_group_id', 'vg_title', 'vg_thumb', 'vg_title_thm', 'vg_alt_thm', 'vg_comment', 'vg_ordering', 'vg_show_in_list', 'vg_published', 'vg_deleted'),
        "name" => array(1 => 'ID', 'Alias', 'Group', 'Title', 'Thumb', 'Title image', 'Alt image', 'Comments', 'Ordering', 'Show in list', 'Published', 'Delete mark'),
        "link" => array(4 => "index.php?module=videoset&view=videos&psid=[0]"),
        "link_key" => array(4 => 'id'),
        "link_type" => array(4 => ''),
        "val_type" => array(1 => 'int', 'string', 'int', 'string', 'string', 'string', 'string', 'text', 'int', 'boolean', 'boolean', 'boolean'),
        "input_type" => array(1 => 'hidden', 'text', 'select', 'text', 'image', 'text', 'text', 'texteditor', 'text', 'checkbox', 'checkbox', 'hidden'),
        "upload_path" => array(5 => 'items/thumbs'),
        "ch_table" => array(3 => "videoset_groups"),
        "ch_field" => array(3 => "vgr_title"),
        "ch_id" => array(3 => "vgr_id")
    )
);
?>