<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0484910a (2024-09-17 13:57:30)
// 

use ArfaCMS\Core\Debugger;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<meta content="no-cache" http-equiv="Pragma" />
	<meta content="no-cache" http-equiv="cache-control" />
	<title>Critical error (503)</title>
	<meta content="" name="description" />
	<meta content="" name="keywords" />
	<link type="text/css" href="<?php echo LINK_CSS; ?>/debug.css" rel="stylesheet" />
	<link type="text/css" href="<?php echo LINK_CSS; ?>/errors.css" rel="stylesheet" />
</head>
<body>
	<div id="error_body">
		<div id="error_header">
			<div id="logo" class="logo503" onclick="javascript: document.getElementById('loginForm').style.display='block';"></div>
			<div id="headLine"></div>
		</div>
		<div id="loginForm" class="commonPopup">
			<form action="/index.php" method="post">
				<input name="option" value="login" type="hidden" />
				User:&nbsp;
				<input style="width: 75px;" class="commonEdit loginEdit" id="username" name="username" value="" type="text" />
				&nbsp;&nbsp;Password:&nbsp;
				<input style="width: 75px; font-weight: 600; font-style: italic; color: rgb(0, 0, 153);" class="commonEdit loginEdit" name="userpass" value="" type="password" />
				&nbsp;
				<input class="commonButton" style="width: 75px;" value="Войти" onclick="javascript: $('#loginForm').hide('fast'); return true;" type="submit" />
			</form>
		</div>
		<div class="fatal-error-text"><?php echo Text::_("Fatal error"); ?>: <?php echo $message; ?></div>
		<div class="fatal-error-link"><a class="go_back" href="/"><?php echo Text::_('Go main page');?></a></div>
	</div>
	<?php
    echo Debugger::getInstance()->dump();
    ?>
</body>
</html>