//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c35f33e9 (2024-10-14 12:52:15)
// 

$(window).on('load', function () {
    spravPictoScroll();
});
$(window).scroll(function () {
    spravPictoScroll();
});

$(window).resize(function () {
    spravPictoScroll();
});

function templateEveryLoad(parent_prefix) {
    if (typeof (parent_prefix) != 'undefined' && parent_prefix) _current_prefix_ws = parent_prefix + ' '; else _current_prefix_ws = '';
    initTooltips(_current_prefix_ws);
    if (typeof (siteConfig['debugMode']) != 'undefined' && parseInt(siteConfig['debugMode']) > 0) {
        console.log("function templateEveryLoad executed");
    }
}

/******************************************************************************************************************/
function spravPictoScroll() {
    var mobile_width_bp = 992;
    var mysterious_delta = 15;
    var fixed_top = $('header').height();
    if ($(window).width() < (mobile_width_bp - mysterious_delta) && typeof ($('main #tree_panel').height()) != 'undefined') {
        // console.dir('[spravPictoScroll] On mobiles with tree...');
        fixed_top = fixed_top + $('main #tree_panel').height();
    }
    var elem = "main .sprav-list .sprav-toolbar";
    var tb_height_delta = $(elem).height();
    $(elem).removeClass('sprav-toolbar-fixed');
    // console.dir('[spravPictoScroll] $(window).scrollTop()=' + $(window).scrollTop() + ", fixed_top=" + fixed_top);
    if (fixed_top > 0) {
        // var scrolled = $(window).scrollTop();
        if ($(window).scrollTop() > fixed_top) {
            $(elem).addClass("sprav-toolbar-fixed");
            // $(elem).addClass("sprav-toolbar-fixed").css({'top': '0px'});
            $('.outer-wrapper').css({'padding-top': tb_height_delta + 'px'});
        } else {
            $(elem).removeClass('sprav-toolbar-fixed');
            // $(elem).removeClass('sprav-toolbar-fixed').css({'top': scrolled + 'px'});
            $('.outer-wrapper').css({'padding-top': '0px'});
        }
    } else {
        // @TODO May be remove ???
        $(elem).addClass("sprav-toolbar-fixed");
        // $(elem).addClass("sprav-toolbar-fixed").css({'top': '0px'});
        $('.outer-wrapper').css({'padding-top': tb_height_delta + 'px'});
    }
}
